Introduction

Welcome.

Airlist is a simple to use, yet powerful music and spot scheduler for traditional and internet radio stations, or any audio scheduling situation such as bars, malls, supermarkets, stores, etc. AirList may also be used to create playlists containing video files.

Hourly rotations of music categories and spot groups (jingles, advertisements, programmes, etc), provides simple and effective control over audio programming format and content.

Once the template is designed, generate sophisticated playlists in seconds for 1 hour to 90 days in advance.

Airlist features artist and song separation, a sophisticated Playlist Editor, Voice Tracking / recording, and much more.

A user-defined playlist and filename format provides compatibility with most playback systems from free software audio players through to professional broadcasting software. Raduga is recommended for best compatibility.

Throughout this documentation, any reference to audio files also refers to video files.

Jump to General Operation.

System Requirements:
Windows 95 or later (Windows Vista, XP, 2000, or 2003 recommended).
8MB RAM + roughly 3MB RAM for every 1000 audio files.
2MB disk space (including playlists).
Optional soundcard for track previewing and voice track recording.

 Purchasing Information:
 To purchase, please visit the website specified on the Register or About forms available from the Help menu within the software.

Support/Upgrades:
 New releases will be made available for a period of 12 months from the date of purchase. Free support is also available for this period by sending a detailed message to the email address specified on the Help / About form within the software.

© Copyright 2001-2007 Ross Levis. All rights reserved.


Installation

Administrator privileges are required for installation and for initial registration. For normal operation after installation, a restricted user account may be used.

Installation of the purchased full edition of AirList requires executing the installation program AirlistSetupxxx.exe, where xxx represents the version number. This file is provided at the time of purchase, along with a serial number and 20 digit code.

If this file or the registration details are lost, please use the support email in the Help/About window. A current support and software updates subscription is required before we can provided these details. The subscription is free for the first 12 months after purchase.

The Demo edition installer, AirlistDemo.exe, cannot be unlocked to the full version.

Note: The software licence permits the same serial number to be installed on a maximum of 2 PC's at any one time, providing both installations are being used for the same station or audio production. Additional licences may be purchased at a much reduced price if required.

The full version may be installed over an existing installation, including the Demo edition, and the existing configurations will be preserved.

When AirList is loaded for the first time, the Registration dialog will appear asking for the Station Name, Serial number, and Code. Care should be given to the Station Name as this cannot easily change once it is entered.

After registration, an Unlock Key dialog will appear asking for an unlock key. This requires access to the internet, but not necessarily from the PC the software is installed on.

Local Area Network Considerations

It is possible to have AirList installed on one PC, and the automation software on the on-air PC. This keeps the DJ/automation functions separate from the scheduling functions, when operated by different people.

The user licence for AirList permits the software to be installed on a maximum of 2 PC's at any one time. This provides for a 2nd installation of AirList for either backup purposes, or for playlist editing and voice tracking. Contact us if you need more than 2 installations.

Only one AirList should be used to generate the regular playlists every day, either manually or automatically. Other AirList installations can be used for voice tracking and editing the playlists.

The categories, rotations, etc, are stored locally on the main AirList PC, so the other installations of AirList do not have access to this data. This does not prevent playlist editing and voice tracking. However, an option exists in AirList to create a backup of the configuration data, and this can be used to copy the data to another PC. See Auto Backup Data.

It is usually best for the music files to be located either on a server, or on the on-air PC itself. One advantage of the audio files being stored on the on-air PC hard drive is that this prevents network problems affecting the on-air PC. The disadvantage is a slightly more complex configuration for AirList.

It is desirable to organize a network drive mapping on all PC's to access the same drive letter. If the audio files reside on a local workstation, Windows 2000, XP and Vista support a share to be mapped to a drive letter on the same PC where the share resides, so all PC's can access the music files using the same drive letter and folder structures.

If this is not possible for some reason, there is an option in AirList to specify Playlist File Path Substitutions. The automation PC can then access the music files even when the drive letter is different on the AirList PC.


Registration

The Registration dialog will appear when this software is installed on the PC for the first time.

The following information must be entered.

Station Name: Care should be given to the Station Name as this cannot easily change once it is entered. A minimum of 6 characters (letters or numbers) must be entered.

Any additional installations must use the same Station Name for the same serial number otherwise the application for an Unlock Key will fail. That is the next stage after registration.

Note that the licence permits the software to be installed on a maximum of 2 PC's at any one time, providing both installations are being used for the same station or audio production.

Serial No: Enter the serial number provided in the email at the time of purchase.

Code: Enter the 20 digit code provided in the email at the time of purchase.

The OK button will become available once the required details are entered. After which, the Unlock Key dialog will appear.


Unlock Key

The Unlock Key dialog will appear when this software is installed on the PC for the first time after entering the registration details supplied with the software.

The software must be unlocked before it can operate. A different key is required for a different PC.

A new key will also likely be required if the hard drive is replaced or re-formatted.

Note: The software licence permits the same serial number to be installed on a maximum of 2 PC's at any one time, providing both installations are being used for the same station or audio production. The number of installations is recorded in our database when applying for a key.

An unlock key is applied for by visiting an internet web page and entering information that appears on the screen. The unlock key is then emailed to you.

If the PC has internet access, click the large button showing the http address. This will load the web page with the details all entered for you. This greatly reduces typing errors. Just your email address will need to be entered manually.

If the PC does not have internet access, carefully write down the Station Name, Serial No, and Machine ID that appears on the screen. Then visit the web page http://www.raduga.net/unlockairlist on another PC and enter the details carefully.

Note: As mentioned in the Registration chapter, the Station Name used to unlock the software for the first time is stored permanently in our database, and this name must be used for all future installations, otherwise the application for an unlock key will fail.

Similarly, the email address used to unlock the software for the first time is also stored permanently in our database. The same email address must be used if the software is re-installed. If you have changed email addresses, please contact us so we can update your records -- support@raduga.net.


Command-line Switches

AirList may be started with the following switches appended to the command line.

-i = Isolated Mode. When started with this option, AirList can run isolated from the audio files. This can be useful when copying the data to a remote PC for generating & editing playlists, without access to the audio files. In this mode, new categories and spots cannot be created, and folders/files in existing categories and spots cannot be modified. AirList will load much faster using this switch as it is not scanning the hard disk for new or deleted files.

-r = Run automated. This automatically generates a playlist and then exits the program.

-e = Loads the Playlist Editor directly. This switch is often used with -i to speed up loading. A shortcut for the Playlist Editor (using the -i -e switches) is installed in the AirList Start Menu folder during installation.

With the -e switch specified, a filename parameter may be included containing the playlist log (.PLG) file to load.
eg. "C:\Program Files\AirList\AirList.exe" -i -e "C:\Program Files\AirList\Logs\071031-00.plg"

One way to use a switch is to copy an existing shortcut icon for AirList and append the switch to the end of the Target command line.


General Operation

There are five main data entry groups: Categories, Spot Groups, Rotations, Schedules and Related Artists, which correspond to the five main tabs you can see on the AirList main window. They are all viewed and maintained using a Windows Explorer type interface. Items in the groups may be created, edited, renamed and deleted. Rotation and Schedule items may also be duplicated with the Copy option.

All new items and changes to items are not physically saved until the Save or Save All option is executed. The Save option will only save changes made to the currently displayed tab, whereas Save All will save all changes on all tabs.

The Options tab contains a page with three tabs of it's own for Run Options, Playlist Options, and Advanced Options.

We suggest that you familiarize yourself with the Menu Items before proceeding to the Getting Started chapter. The Getting Started chapter is a step by step tutorial to generating your first playlist.


Menu Items

Most menu items also have keyboard shortcut keys available, which are visible in the pull down menu.

Many of main menu items are also available from Toolbar buttons and/or the right-click popup menu.

►File Menu

►Edit Menu

►View Menu

►Tools Menu


File Menu

New: Create a new item. The appropriate properties window will appear to enter the details of the new item. Use this to create a new Category, Spot Group, Rotation, Schedule, or Related Artist, depending on which tab you are viewing.

Open: Open the properties of a selected item. This loads the same window as above to modify the details of an existing item.

Save: Save changes made in the current selected tab only. For example, if the Schedules tab is visible on the screen, only changes to the Schedules will be saved.

For the Options tab, the 3 tabs under this tab -- Run Options, Playlist Options and Advanced Options are all saved.

For the Category and Spot Group tabs, this will save the last 18 scheduled dates and times for each audio file if a playlist has been generated. This could take up to one or two minutes depending on the number of files used in a generation. If the Store data in file tags option is enabled, the scheduled dates are stored inside each audio file using our custom SPL tag.

Generally Save All should be executed instead to ensure all changes in all tabs are permanently saved.

Save All: Save all changes made to all five tabs. This should also be executed after generating a playlist to save the last scheduled dates/times of all scheduled tracks, as explained above. If changes have been made but not saved, you will be prompted to save all changes when exiting AirList.

Create Playlist: Starts the creation of a new playlist. A playlist is a list of the audio files selected to be played by the automation player.

At least one Category, Rotation and Schedule are required before a playlist can be created. See the Getting Started chapter for a tutorial on how to configure AirList before generating a playlist.

A window will popup showing the progress of the generation. At the end of the generation, a usage analysis is displayed showing how many times each Category, Spot Group, Rotation, and Schedule was used.

The Category and Spot Group Analysis also includes how often each category rotates. This is the theoretical number of hours or days it takes to go through all tracks in the list before repeating a track. However, this figure assumes that nothing will prevent every track from being selected. The Artist Repeat Interval, and the New Track Bias will significantly disrupt this theory.

The details displayed in the popup window are stored in two text files in the Log Folder. A file in the format Genyymmdd-hh.log is created for each playlist created. A file named Generate.log is also created or overwritten and always contains the information from the last playlist creation.

Generate.log may be viewed using an option on the View Menu.

If enabled on the Run Options tab, a Track Summary and Spot Summary is also created in the Log Folder.

The playlist files created are named in the format specified in the Filename Format in the Playlist Options. The default format will produce files formatted mmmdd-hh.M3U. mmm is the first 3 characters of the month, eg, Jan, Feb etc. dd is the day of the month, 01-31. hh is the hour of the day, eg, 06 is 6am, 18 is 6pm. An example playlist filename using this format is Jun30-06.M3U. This playlist should be loaded by your automation player at or just before 6am on June 30.

The structure of the track details stored inside the playlist file is determined by the Playlist Format option in the Playlist Options.

If enabled, an HTML Playlist is also created in the HTML Playlist Folder.

If a selection error occurs due to an excessive Song or Artist Repeat Interval, a dialog message will ask to ignore or cancel the creation. If ignored, the program will select a track which has not been selected for the longest time, and if possible, also satisfies the Artist Repeat Interval. However, this problem should be resolved as soon as possible by reducing the repeat intervals or adding more tracks to the category.

The generated playlist may be viewed immediately in the Playlist Editor. If a rotation or schedule appears to be wrong, make the required changes and generate another playlist without executing a Save. A playlist may be generated several times for the same period until you are happy with it.

After creation, if no errors occurred and you are happy with the playlist, the Save All option should be executed. This saves the last scheduled time of every track. The last scheduled time is be used for the Song & Artist Repeat Intervals in future playlist creations. Also saved is the position in each category, so the next playlist created will start selecting tracks from where it left off last time. The Next Item for each Spot Group is also saved, and the Start Day, and optionally, the Start Hour is also incremented to the next calculated creation date.

Rescan All Folders: Rescans all Category and Spot Group folders for new and deleted tracks. This should be executed when tracks have been added or removed from a folder while AirList was open.

Files with the archive attribute set will also be checked for modifications, such as changes to the artist, title, cue, or segue information made in other utilities such as the Track Tool.

This option is not necessary if the changes to folders or files occurred while AirList was closed, and the option Scan Folders at Startup is checked on the Advanced Options tab.

Note. This option should not be executed after generating a playlist, unless a Save All has been executed first, as this will reset the scheduled times of the audio files selected for the playlist.


Edit Menu

Copy: Create a duplicate of the selected Rotation or Schedule item. This option is not available for Categories and Spot Groups.

Rename: Rename the selected item. An item may also be renamed by clicking on the item when it is selected, or pressing the F2 function key.

Delete: Delete the selected item(s). An item cannot be deleted if it is used in another group.

Select All: Select all items in the list.

Usage List: For a Category or Spot Group, this option lists all the Rotations the Category or Spot Group is used in. For a Spot Group, it also lists the Schedules where the group is used in the Timed Spots. For Rotations, it lists the Schedules that the Rotation is used in.

File List: This option displays the list of files contained in the selected Categories or Spot Groups for viewing, preview playing, and editing of track information. Multiple Categories or Spot Groups may be viewed in one list. See the File List chapter for more details.

Load in Track Tool: Load all the tracks in the the selected Categories or Spot Groups into the Track Tool. The Track Tool button on the tool bar also supports this function, however, the Track Tool item on the Tools menu will load the Track Tool with no tracks loaded.
After editing tracks in the Track Tool, AirList will perform an automatic Rescan Folders (below).

Rescan Folders: Rescans the folder(s) in the selected Categories or Spot Groups. New files that have been added since AirList was opened will be added to the file list, and files removed from the folder(s) will be removed from the file list.

Files with the archive attribute set will also be checked for modifications, such as changes to the artist, title, cue, or segue information made in other utilities such as the Track Tool.

This option should be executed when changes are made to audio files on the disk while AirList is open. To rescan all folders in all Categories and Spot Groups, use the Rescan All Folders option on the File Menu.

Note. This option should not be executed after generating a playlist, unless a Save All has been executed first, as this will reset the scheduled times of the audio files selected for the playlist.

Reread Foreign Tags: Rereads foreign file tag information (eg. ID3 tags) from all the files in the selected Category or Spot Group . MP3, OGG, WAV, MP4/M4A, and WMA files have their file tags read when loaded for the first time into a Category or Spot Group. This information is then stored in our own native (SPL) tags for speed purposes. Changes made to the foreign tags after the files have been loaded into AirList are ignored. Use Reread Foreign Tags to read the new information in the ID3 tags.

To reread the foreign tags of all files in all Categories and Spot Groups, use the Reread All Foreign Tags option on the Tools Menu.


View Menu

Details, List, Small Icons, Large Icons: The Category, Spot Group, Rotation, and Schedule items may be displayed in any of these visual methods, as in the Windows Explorer.

View Generate.log: Displays the details of the last playlist creation. This should be checked regularly for selection errors when using the -r command line switch.


Tools Menu

Playlist Editor Loads the Playlist Editor to view, edit, print, or preview a created playlist. In AirList Pro, it may also used to record voice tracks and merge commercial logs from 3rd party traffic/billing software.

Intro/Outro Tool: Loads the Intro/Outro Tool which is used to list the files in a Category which do not have a matching introduction file in an Intro or Outro Spot Group. In AirList Pro, intros and outros may also be recorded.
See Spot Properties for information regarding Intro and Outro Spot Groups.

Track Tool: Loads the Track Tool program used to establish Intro times and/or manual cue and segue positions for individual tracks. Unlike the Edit menu item, this item will not load any files from selected Categories or Spot Groups.
After editing tracks in the Track Tool, AirList will Rescan All Folders automatically.

Create Stream File: Loads the Create Stream File wizard used to schedule internet streams.

Backup Data: Copies all configuration data from the AirList\Data folder to a Backup Folder specified on the Run Options tab. This includes the Categories, Spot Groups, Rotations, Schedules, Related Artists, and Options.

This can be configured to occur automatically by enabling the Auto Backup Data option.

The copied files can be used for transferring to the Data folder on a backup PC to duplicate the configuration.

Restore Data: Restores all the configuration data files from the Backup Folder. This may be necessary if a problem occurred during the previous Save operation. The backup files can also be manually copied to the Data folder if necessary before loading AirList.

Reread All Foreign Tags: Rereads foreign file tag information (eg. ID3 tags) from all the files contained in all Categories and Spot Groups. MP3, OGG, MP4/M4A, WMA, and WAV files have their file tags read when loaded for the first time into a Category or Spot Group. This information is then stored in our own native SPL tags for speed purposes. Changes made to the foreign tags after the files have been loaded into AirList are ignored. Use Reread Foreign Tags to reload the information in the ID3 tags.

Remove SPL File Tags: Removes our native SPL file tags from all audio files contained in all Categories and Spot Groups. The file tags stores information about each track such as the artist, title, intro times, and the last scheduled dates and times. This may be desired before uninstalling AirList. After removing the file tags, exit AirList without saving changes, otherwise the tags may be added again during a Save.

Lock AirList (AirList Pro): This option is available when a Master Password has been set in the Advanced Options. This will lock AirList from all access until the Master Password is entered.


Getting Started

Getting Started Tutorial

This is a step by step tutorial explaining all the requirements for producing your first playlist.

The first 3 chapters in this tutorial provide some background information and possible file organization that may be required before you start working with AirList.

If you are in a hurry, try the Simplified Tutorial.

► Categorize Your Music

► Folders and Files

► Song Database

► Create Categories

► Create Spot Groups

► Create Rotations

► Create Schedules

► Create a Playlist

► Simplified Tutorial


Categorize Your Music

AirList requires at least one Category, one Rotation, and one Schedule to be created before a playlist can be generated. This chapter describes what a category is used for.

A Category is normally a group of audio files of a similar nature, such as a similar genre, age, and tempo.

All your music tracks may be combined into one large Category. This makes for a very simple configuration and should take just 5 minutes to have a playlist generated and be up and running. However, this will only produce a basic shuffled selection of all your music.

AirList is capable of producing much more controlled and sophisticated scheduling, which can produce a more appealing format for the audience. Here are some examples of what is possible:

  • Prevent two or more fast (or slow) tempo songs from being scheduled consecutively, unless that is desired.
  • Prevent two or more songs from the same decade from being scheduled consecutively, unless that is desired.
  • Change tempo at different times of the day, eg. more slower songs in the late evening or more faster songs in the morning.
  • Schedule different genres of music at different times of the day on different days of the week.
  • Schedule a specialty show with a specific genre at a specific time every day or week.

These are just some examples of what is possible, but this requires some time spent dividing up your audio files into separate groups by genre, tempo, age, etc, and creating a category for each group. The more specific the category, the more control you have over the format.

Here are some examples of Categories:

Example 1
Fast Rock
Slow Rock
Fast Pop
Slow Pop

Example 2
80's Rock
90's Rock
80's Pop
90's Pop

Example 3
Fast 80's Rock
Slow 80's Rock
Fast 90's Rock
Slow 90's Rock

Example 1 would be useful If you are only interested in controlling the tempo of songs scheduled.
Example 2 would be useful if you are only interested in controlling the age of songs scheduled.
Example 3 provides the most control over the scheduled music as it contains 3 pieces of criteria, tempo, age, and genre.

Go to Folders and Files


Folders and Files

In AirList, a song is added to a category, rather than a category added to a song. This is a different concept to some other scheduling software.

Note: AirList does not utilize a rules based system as used in some other scheduling software. Scheduling rules can be complicated to understand and difficult to use. The same results can be achieved with rotations of multiple smaller categories. This can take longer to organize initially but it provides much more control over the playlist structure than a rules based system.

Individual filenames may be inserted into a category, however, the most efficient method to create multiple music categories is to organize all your music files into separate folders on the hard drive, based on the music category. These folders are then specified individually when creating each Category.

Using separate folders on the hard drive is the most efficient way of specifying the files associated with each Category. When new tracks are added to a folder, they will be automatically included in the associated Category when AirList is loaded, and no manual entry of new files, or deletion of removed files, is then necessary. However, if moving existing files into separate folders is inconvenient, then there are two alternative methods available.

  • The filename of each individual audio file may be loaded. In this case, all new tracks will need to be added individually to the relevant Category in AirList.
  • Windows Shortcuts to files or other folders may be created and placed in folders. Using shortcuts will slow the loading time of tracks, but folders may then be used for each Category to store the shortcuts, and therefore individual songs do not need to be entered manually or moved from their original folder.

If songs are regularly moved from one category to another, or you wish to have the same songs in 2 or more categories, it is an advantage to specify the individual files rather than using folders. In this case we recommend leaving the audio files in one location and adding individual filenames to categories. This will prevent the situation where a file is scheduled to play but is moved to a different folder. The automation software will not be able to find the file to play it.

But in situations where songs will not be moved between categories, moving the audio files into separate folders on the hard drive makes Category management much easier.

More advanced information on supported file types is available below, but for now, you may wish to skip the rest of this chapter and go to Song Database.

Only files ending with the following file extensions will be considered for the playlist, however, supported extensions may be removed from this list by de-selecting individual extensions in the Advanced Options.

Audio files: MP2, MP3, MP4 (AAC), M4A, OGG, WMA, WAV, APE, AIF, AIFF, AIFC, SND, OTS.
Video files: MPEG, MPG, AVI, WMV, ASF.
Other files: M3U, PLS, ASX, EXE.

All other files in a folder will be ignored. Other audio file types may be considered for future revisions of the software.

Note: Raduga cannot play many of these formats.

M3U & PLS files may be used to insert several sequential audio files in the playlist, or for scheduling Internet streams to play.
ASX files are supported for scheduling Windows Media Audio streams, although it is more efficient to use the Create Stream File wizard mentioned below which creates a PLS file for WMA and all supported stream formats.
EXE files are included because some players are able to execute EXE files which may produce audio. Some automation software is able to execute EXE files.

Internet streams may be scheduled to play by firstly creating a stream file using the Create Stream File wizard on the Tools menu. Then schedule the generated PLS file in a Spot Group just like any other audio file.

Since the duration of ASX and EXE files are unknown, the duration will be prompted for manual entry when they are loaded for the first time.

Throughout this documentation, any reference to audio files also refers to video files.

Go to Song Database


Song Database

It is usually important the artist of each track is known by AirList so the artist separation feature can work. Artist separation is a common requirement for most radio stations. Obviously the song title is also useful, plus other song information.

If you have an existing database you need to import into AirList, this may be possible. Contact us for details.

File Tags:

AirList can automatically import song details if your audio files have the song details stored within a file tag, or if the filename contains the artist and title.

AirList supports reading the following file tag formats.

  • Standard RIFF (WAV)
  • ID3 v2.3.0 or later, and ID3 v1 (MP3)
  • MPEG-4 AAC (MP4, M4A)
  • Ogg Vorbis (OGG)
  • Windows Media Audio (WMA)

The file tags above are regarded as "foreign" tags in our software.

Once the information is read from a foreign file tag, the foreign tag will not be read again. The information will be stored in a our own custom file tag structure. This is done due to speed issues reading and writing foreign file tags.

The AirList custom tagging system, which we call an SPL tag, is compatible with Monkey's Audio APE v2 file tags. An APEv2 file tag editor can be used to modify the information AirList uses. APEv1 tag editors will corrupt the file tags and lose the information, so care must be taken when using 3rd party tag editors.

Some of the information read from the foreign file tags is also stored in a temporary file database per category. The SPL file tag is only used when accessing data outside the database, when moving files from one category to another, and when saving new information.

If all your audio files are in the file formats above and have useful file tags, then you may skip the rest of this chapter and go to Create Categories.

Filename Structure:

If file formats other than those listed above are being used, or there are no file tags present in the file, AirList will attempt to use the filename to obtain the artist and title.

For filenames to be useful, they need to contain the artist & title in a consistent structure. The default filename format is Artist - Title.ext. Note there is a space either side of the dash ( - ).

There are two options used to define how the artist and title is extracted from the filename. The Artist Delimiter specifies what character is used between the artist and title (eg. " - "), and the Track Filename Format defines whether the artist or title appears first in the filename.

If the filenames do contain the artist and title in a consistent structure, and supported file tags are present in the file but the information is not correct or reliable, then the option Use file tags for Artist and Title should be is disabled on the Advanced Options tab. This will force AirList to always use the filename and disregard the file tag for obtaining the artist and title. Other information such as the Album name will still be read from the file tag if it exists.

If both the file tag and the filename does not contain useful information, the artist & title of each audio file may be entered in the File List facility after loading tracks into a Category or Spot Group.

Manual Intro and Segue Times may be optionally specified in the filename if tags are not being utilized. The filename format is: Artist - Title#xx~yy.ext, where xx is the length in seconds of the song ramp or instrumental (non-vocal) beginning of a song, and yy is the Segue or crossfade position starting from the end of the file.

eg. Cat Stevens - Peace Train#12.5~7.5.mp3. In this case, the Intro time is 12.5 seconds, and the Segue time is 7.5 seconds before the end of the song.

The Segue time must appear last in the filename if both Intro and Segue times are included.

Go to Create Categories.


Create Categories

Once you have organized your audio files on the hard drive, it's now time to start using AirList, and create a Category in Category Properties. A Category normally contains all the songs associated with a particular genre, tempo, age, etc. Here are the basic steps for creating a Category:

  1. On the Categories tab, click New
  2. Give the Category a name that describes the type of music, eg. 80's Slow Rock, 90's Fast Pop, All Music, etc.
  3. In the Files or Folders area, drag and drop files or folders from Windows, or enter the filenames or folders manually, or use the Add Folder or Add Files buttons to browse for the files or folders to include in this Category. The File Wizard can also be used to select individual audio files from a folder based on file tag information.
    If you have moved your files into separate folders, then you may specify just the folder location and not the individual files within the folder. This can be a folder with a number of sub-folders containing the music. In this case, click the Include Subfolders checkbox.
  4. Click OK to create the Category. This will load all the tracks into the Category and read track information from all the audio files tags if available, such as the artist, title, album, duration, etc.

Repeat these steps for each genre or type of music.

If you do not need to have precise control over what types of songs are scheduled next to each other or at different times of the day, you can add all your files into one category called say All Music, and specify the main folder containing all your song files, and click the Include Subfolders checkbox.

If some or all of the files loaded into a Category do not have the artist included in the file tag or the filename, then this information will may need to be entered manually using the File List facility. Highlight a Category you have created, and click the File List tool button at the top of the window. This displays the list of tracks within this Category. Click the Artist column to sort into Artist order and check the details in the list. Highlight a track that needs attention and click the Properties button to edit the artist, title, and other optional details.

Go to Create Spot Groups.


Create Spot Groups

Spot Groups are similar to Categories except that they usually contain a smaller number of audio files such as station ID's, jingles, advertisements for one or many organisations, or a weekly talk series, for example. Often there is only one audio file in one Spot Group.

Spot Groups are not necessary for creating a playlist, but most radio stations will require at least a regular station ID to be scheduled.

Here are the basic steps for creating a Spot Group:

  1. On the Spot Groups tab, click New
  2. Give the Spot Group a name that describes the type of spots, eg. Station IDs, Advert Corner Store, etc
  3. In the Files or Folders area, enter or browse for the file or folder to include in this Spot Group. Drag and drop is available from Windows.
  4. Click OK to create the Spot Group. This will load the track(s) into the Spot Group.

The artist and title of audio files in a Spot Group are not usually important since the separation rules for songs, artists, and titles are not used. Items from a Spot Group are normally selected sequentially in a fixed order, though a random option is available.

Go to Create Rotations.


Create Rotations

A Rotation is an hourly template of Categories and Spot Groups from where each audio file will be selected. At least one Rotation must be created in Rotation Properties.

A rotation is defined by selecting the music categories in the order desired for one hour of scheduling. The actual hour or hours that a rotation will be scheduled is not defined at this stage. This is done in a Schedule described in the next chapter.

To prevent the same types of songs being in the same order every hour, we recommend at least 3 rotations are created with the categories in different orders.

The first Rotation created will be flagged as the Default Rotation. This Default switch can be changed to a different Rotation later. You will see the meaning of the Default Rotation once you start creating a Schedule.

Here are the basic steps for creating a Rotation:

  1. On the Rotations tab, click New

  2. Give the Rotation a name that describes the type of music that will be played in this hour. Default is a common name for the rotation that will be used for most hours in a normal day. Other examples are Weekday Mornings, Saturday Nights, Tom's Country Show.

  3. Drag Categories on the left over to the Rotation List on the right several times until the Approx Time at the top of the list is over 64 minutes (01:04:00). You will most likely need to drag the same category several times. If you have only one Category, you may need to drag this Category perhaps 12 to 15 times to the Rotation List.
  4. If you have created one or more Spot Groups, you may also drag a Spot Group over to a position in the Rotation List. For example, you may like to have a Station ID play every 3 songs, so insert this Spot Group after every third Category.
  5. Click OK to create the Rotation.

A new Rotation is required when different programmes or different styles of music are wanted at different times of the day.

In a Weekday Mornings rotation, for example, you may want faster and/or more Top 10 songs selected, so this Rotation should contain Categories containing this type of music. Tom's Country Show would only contain country music based Categories.

If the same rotation structure is desired for all 24 hours of every day, then only one rotation will need to be created.

Rotations should be defined to exceed one hour by at least four or five minutes. This is the Approx Time displayed at the top of the Rotation List.

The times on the left of each Category in the Rotation List is only an estimate of when a track from this category will be played. The times are based on the average length of all tracks in each Category.

Here is an example Rotation. The red items are Spot Groups, and the Categories are green:

Station ID
Pop Songs
80's Songs
Pop Songs
Station ID
$5 Ads
Bike Shop Ad
Station ID
Pop Songs
70's Songs
Pop Songs
Community Notices (block)
Station ID
80's Songs
Pop Songs
Rare Classics
etc

Go to Create Schedules.


Create Schedules

The next step is to create at least one daily Schedule in Schedule Properties.

A Schedule is a list of 24 time slots, one for each hour of the day. Each time slot is assigned a Rotation to use for the hour. This is where you select which Rotations will be used at different times of the day and/or days of the week. The same rotation is often used for multiple time slots. One rotation can be used for all 24 hours if desired.

Here are the basic steps for creating a Schedule:

  1. On the Schedules tab, click New.

  2. Give the Schedule a name that describes the days of the week that this schedule will be used. Default is a common name for a Schedule when the same types of music and programmes will be used every day of the week. Other examples are Weekdays or Saturday.

  3. You will notice ...DEFAULT... listed beside all 24 hours in the Schedule List. This is a special rotation name which is given to the Default Rotation. The Default Rotation is the first rotation you created, unless you changed the Default checkbox inside a different Rotation. If you have only one Rotation created, or you only want the Default Rotation used for this Schedule, then you can skip step 4 below and go to step 5.
  4. Drag a Rotation on the left over to the Schedule List on the right to the hour of the day that you wish this rotation to be used. Do this as many times as required.
    For example, if this Schedule is for weekdays only, and you have created a Weekday Mornings rotation, drag the Weekday Mornings rotation over to the 6am, 7am, 8am, 9am, etc, time slots. The ...DEFAULT... rotation can be left attached to the time slots where the default rotation should be scheduled. i.e. There is no need to drag the real name of the default rotation to the Schedule List.
  5. Click the days of the week that this Schedule will be used. If this is a Schedule that will be used only for weekdays then tick all days except the Saturday and Sunday checkboxes. If you are planning to play the same types of music and programmes every day of the week, then then tick all 7 days. In this case, you will need only one Schedule.
  6. Click OK to create the Schedule.

For AirList to generate a playlist for every day of the week, all 7 days of the week need to be ticked somewhere in the list of Schedules. Any one particular day, however, should only be ticked once in all Schedules. For example, do not tick the Monday checkbox in two or more Schedules.

Here is an example Schedule.

00:00 ...DEFAULT... (midnight)
 01:00 ...DEFAULT...
 02:00 ...DEFAULT...
 03:00 ...DEFAULT...
 04:00 ...DEFAULT...
 05:00 ...DEFAULT...
 06:00 Weekday Mornings
 07:00 Weekday Mornings
 08:00 Weekday Mornings
 09:00 Weekday Mornings (finishes at 10am)
 10:00 ...DEFAULT...
 11:00 ...DEFAULT...
 12:00 ...DEFAULT...
 13:00 ...DEFAULT...
 14:00 Tom's Country Show
15:00 ...DEFAULT...
 16:00 ...DEFAULT...
etc.

Go to Create a Playlist.


Create A Playlist

If you have followed the previous steps and managed to create at least one Schedule, then you are almost ready to create a playlist. Some options will need to be checked and modified if necessary.

Click the Options tab, and then the Run Options tab. The Start Day and Hour is the day and time you want your playlist to start from. This is usually set to a future date such as tomorrow, but for your first playlist, set the Start Day to today's date. For simplicity, we recommend leaving the Hour at 00:00. All new playlists will start at midnight, and it is often easier to work with whole days when generating a playlist.

The next option down in the Run Options is the number of days you wish to generate a playlist. The default is 1 day, which is common if there are changes made to the programming on a daily basis, such as commercials being inserted and removed. If your programming requirements are static from day to day, then you may wish to generate a playlist every week. In this case, set the option to 7 days. Up to 90 days is supported.

On the Playlist Options tab, pull down the selection list beside the Playlist Format. This displays a list of some automation players which require a special playlist format. If you are using Winamp or another basic media player then select Standard M3U. This will set several other options on the Playlist Options tab and Advanced Options tab to ensure best operation with the selected automation player. The Playlist Format option itself will change to a set of parameters representing the format required for the player.

If you are using a broadcast automation system which is not available on the list, a user-definable format may be configured in the Playlist Format option.

You should now be ready to create a playlist. Click the Create [image] tool button to create a playlist. This process is very fast compared to most other schedulers, and can take less than 10 seconds. A window will appear showing the progress, plus some statistics of how many times each Category, Spot Group, Rotation, and Schedule was used.

Click the OK button when it appears. You may like to view the playlist created in the Playlist Editor (Standard & Pro editions) by clicking the Editor tool button. If you are not happy with the playlist then go back and make changes to the Rotations or Options, or whatever requires attention, and then generate another playlist.

Once you are happy with the playlist, it is important to click the Save All button. This saves the scheduled dates/times for each track scheduled in the playlist, so the song, artist, and title separation intervals will work when you generate a playlist for the next period. The Save All will also move the Start Day to the next playlist period.

The track separation intervals default to 0 which disables all separation protection. You will most likely want to increase these to suitable values depending on legal or personal requirements. Alter the default settings on the Run Options tab. Typical values are: Song Interval: 18 hours, Artist Interval: 3 hours, Title Interval: 3 hours. Individual Categories may have their own interval settings in Category Properties. You will receive track selection errors while generating a playlist if there is not enough tracks to satisfy the intervals.

By default, the playlist files are created in the AirList\Playlist folder on the hard drive.


Simplified Tutorial

These instructions are designed to use the least steps possible to generate a playlist in AirList.

For this purpose, all of your music files will be combined into one large Category. Normally, multiple categories are created based on song genre, tempo, age, etc, to provide more control over your station format or "sound", but you can organise this later once you have grasped the concept.

1. Click on the Category tab, and click New. Enter a name of your choice (eg. Music), and in the Files & Folders area, enter the folder where all your music files are located. You may use the Browse Folder button to select the folder. This can be a folder with sub-folders containing the music. Click the Include Subfolders checkbox if required. Click OK.

Now check that the Files column on the right has a number greater than zero. If not then you have selected an incorrect folder or perhaps not ticked the Include Subfolders checkbox. Double-click the Music category to try again.

2. Skip this step if you have no Station ID's or jingles.
Click on the Spot Group tab and click New. Name it Station ID or similar. Enter the file or folder containing the station ID or several Station ID's. Click OK. This is very similar to creating a Category.

3a. Click on the Rotation tab and click New. Give it a name such as "Default". Drag the Music category on the left over to the Rotation List on the right several times until the Approx Time at the top exceeds 64 minutes (1:04:00). ie. You will need to drag the same category perhaps 12 to 15 times.

3b. If you did create a Station ID spot group, drag this perhaps 3 or 4 times over to the Rotation List between each 3rd category for example. Click OK.

4. Click on the Schedule tab and click New. Give it a name such as "Default". Tick all days of the week and click OK.

5. Click on the Options tab and at the top left, select today's date and enter the number of days you wish to generate playlists. The default of 1 Day and 0 Hours is recommended. We also suggest leaving the Start Hour at 00:00 (midnight).

6. If you are not using Raduga, on the Playlist Options sub-tab, pull down the Playlist Format selection list and select your automation software from the list. If you are using a simple media player such as Winamp, select the "Standard M3U" format.

7. Click Save All to save all your configurations.

8. Click the Create tool button, or Create Playlist File menu option. This will generate a set of playlist files, one for each hour. Click OK to close the status box.

9. Click Save All again to save the scheduled dates for each selected track. You may exit AirList now.

The playlists are now ready to be loaded and played in your automation software.

Once you have grasped the concept, we suggest reading through the full tutorial to get more out of the software.


Categories

A Category is a group of many audio files related to a particular genre, tempo, age, sex, or whatever criteria you wish to establish.

As with Spot Groups, Categories are used to define an hourly Rotation. The more Categories that are defined, the more control you have over the structure of each hourly Rotation, and therefore more control over the station sound.

Categories are created & maintained in Category Properties.


Category Properties

Use Category Properties to create and maintain Categories.

Name: Enter a unique name for the Category. The name may be renamed at any time in the Category List. The name must contain valid filename characters. The characters < \ / : * ? " | > are not allowed.

Notes: An optional field which may contain other information regarding the Category.

Files(s) or Folder(s)
 The specific files, or folders containing audio files for this Category. Each file or folder must be entered on a new line.

Click Add Folder to select a folder to add. This just adds the folder name to the list, not the individual files within the folder.
Click Add Files to select one or more files to add from an Open File dialog.
Click File Wizard to open the File Wizard dialog. Use this to add several files from the hard drive with specific file tag attributes.
Click Clear All to remove all files and folders from the list.

Files or folders may also be dragged and dropped from Windows Explorer.

Windows shortcuts to files & folders may be inserted.

Often one folder is assigned to one Category. Specifying a folder can be beneficial because no maintenance in AirList is required when new tracks are added to the library. The folders will be scanned for new or deleted files every time AirList is loaded.

However, if songs are regularly moved from one category to another, or you wish to have the same songs in 2 or more categories, it is an advantage to specify the individual files rather than using folders. This will prevent the situation where a file is scheduled to play but has been moved to a different folder. The automation software will not be able to find the file to play it.

If M3U or EXE files are added, the duration of these files will be prompted for manual entry when saving the Category.

Include subfolders (checkbox): If folders have been specified in the list above, all subfolders within the folders will also be included.

Average Time: A read only figure showing the average duration of all tracks in the Category. It is used in Rotation Properties for estimating the duration of a Rotation.

File Count: A read only figure containing the total number of audio files in the Category.

Automatic Reshuffle: By default, the tracks in each category are reshuffled into a different random order every time the list of tracks has been traversed to the end. This is recommended so that all tracks will have an equal chance of being selected at some stage. If two tracks by the same artist are next to each other in the track list, the Artist Repeat Interval will prevent the 2nd track from ever being selected.

This option may be disabled to keep the same order indefinitely. This may be useful for categories with a small number of files which are manually positioned into the desired selection order. The current position in the list will rotate back to the top when the last track has been used.

Reshuffle Now: This will reshuffle the order of the tracks in an existing category. This may be useful after adding multiple files to the category, which by default, are shuffled and appended to the bottom of the track list.

Category Type:
 Normal: Category tracks are shuffled into a random order and selected individually when the Category is used in a Rotation

Block: All tracks in the Category are sorted alphabetically and added to the playlist in one block. Only one entry in a Rotation is required for all tracks in the category to be selected. This may be used where a group of tracks must be played sequentially, such as a complete CD. The Average Time above will reflect the total duration of all tracks in the category, rather than the average time. Block Categories generally should not contain more than 60 minutes of audio files.

Song Repeat Interval:
 The minimum period of time between scheduling the same filename. The same path\filename found in other Categories is taken into account and will not be repeated within the interval. However, a copy of an audio file placed in another folder is regarded as a different song and can be repeated within this interval. Windows shortcuts to files, however, may be created and copied to other folders, and song repeat protection will work between the categories.

System Default uses the Default Song Repeat Interval setting in the Run Options. Otherwise select a value of between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days).

A value of 0 (zero) disables song repeat protection for this Category.

A song will not be repeated until the track list has been fully traversed, so a high song repeat interval is usually not necessary and can cause selection errors if it is set too high.

A value of half the total duration of the category is a recommended maximum. ie. If the category has enough tracks for 4 days without repeats, we recommend a maximum song repeat interval of 2 days.

Artist Repeat Interval:
 The minimum period of time between scheduling a song by the same artist.

System Default uses the Default Artist Repeat Interval setting in the Run Options. Otherwise select a value between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days).

A value of 0 (zero) disables artist repeat protection for this Category.

Generally, this interval should be kept as low as possible. A value of around 3 hours is typical. Large artist separation will result in many tracks being skipped in the track list and can result in some tracks being selected more than others as the track list is traversed more often.

Title Repeat Interval:
 The minimum period of time between scheduling a song with the same title. This is useful for situations where several artists have recorded the same song. This is particularly useful for scheduling Christmas songs, for example.

System Default uses the Default Title Repeat Interval setting in the Run Options. Otherwise select a value between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days).

A value of 0 (zero) disables title repeat protection for this Category.

This interval should also be kept as low as possible, A value of around 2 or 3 hours is typical.


File Wizard

Use this dialog to add individual files on the hard drive to the Category based on specific criteria stored in file tags.

Scan Folder: The folder containing audio files or other folders to scan.

Include Subfolders: Any folders contained in the Scan Folder will also be included in the search for files.

Search Criteria: Select the criteria you wish to search with. Any number of the criteria may be used. Leave options blank to ignore specific criteria. The Comment field may contain a portion of any text in Comment file tags.

Start: Click the Start Button to start the search. All files matching the criteria will be added to the File(s) and Folder(s) list in Category Properties. A progress is displayed in the status bar below.

Close: Close the File Wizard dialog to view the results.


Spot Groups

A Spot Group is a group of one or more related audio files, usually containing short programmes such as station ID's, jingles, or advertisements. They may also be used to schedule lengthy programmes, such as a weekly series which runs in sequence.

As with Categories, Spot Groups are usually scheduled in Rotations, but they may also be scheduled in the Timed Spots section of Schedule Properties.

Spot Groups may also be used to insert matching song or artist introductions before or after Category items. See Song Intro and Song Outro options in Spot Properties.

Spot Groups are created & maintained in Spot Properties.

Individual tracks may have a date range, time range, and day of week selection applied to them. This may be useful for advertisements that should only be scheduled for a certain number of days, or a song which should only play on Monday mornings, for example. These criteria may be entered in the Track Properties option on the File List.


Spot Properties

Use Spot Properties to create and maintain Spot Groups.

Name: Enter a unique name for the Spot Group. The name may be renamed at a later date in the Spot Group List. The name must contain valid filename characters. The characters < \ / : * ? " | > are not allowed.

Notes: An optional field which may contain other information regarding the Spot Group.

Client: An optional field which may contain an advertising client name or code. This information is output in the Spot Summary log file which may be used for client billing purposes.

If the Advanced option Store data in file tags is enabled, the client information is saved to the file tag for each audio file in the Spot Group. When this field is left empty, individual audio files in a spot group may have their own different client information stored against them. This may be entered in the Track Properties facility in the File List.

File(s) or Folder(s):
 The list of specific files, or folders containing audio files for this Spot Group. Each file or folder must be entered on a new line.

Click Add Folder to select a folder to add. This just adds the folder name to the list, not the individual files within the folder.
Click Add Files to select one or more files to add from an Open File dialog.
Click Clear All to remove all files and folders from the list.

Files or folders may also be dragged and dropped from Windows Explorer.

Windows shortcuts to files & folders may be inserted.

Often only one file or folder is assigned to a Spot Group.

If M3U or EXE files are added, the duration of these files will be prompted for manual entry when saving the Spot Group.

Hint: Add the same folder or files twice to have each Spot item selected twice in succession.

Include subfolders (checkbox): If folders have been specified in the list above, all subfolders within the folders will also be included.

Average Time: A read only figure showing the average duration of all tracks in the Spot Group. It is used in Rotation Properties for estimating the duration of a Rotation.

File Count: A read only figure containing the total number of audio files in the Spot Group.

Spot Group Type:

This option defines how the Spot Group will be used in the track selection process.

• Normal: A normal Spot Group which can be used in Rotations or Timed Events. One track will be selected from the Spot Group every time it is used in a Rotation.

• Song Intro: The Spot Group will be only used to insert an introduction for the upcoming Category item.

This facility provides for an automatic song or artist introduction to be included in the playlist prior to a song selected from a Category. This can produce the atmosphere of a live broadcast when fully automated.

Introductions are pre-recorded for preferably all songs or artists in the library, or at least all songs or artists in one particular Category. This can take some time, however once this is done, an unattended station can sound similar to a live show hosted by a DJ. With this in mind, we suggest Intro's often include some brief information about the song, along with a station identification. For example,
"Here's Bering Strait, a band from Russia, with Jagged Edge Of A Broken Heart, on WKRP, Cincinnati's best Rock music".

This system is different to Voice Tracking which allows live announcements, including recent current affairs, to be pre-recorded for a show later in the day or week.

If recording an introduction for every song sounds like too much work, an introduction can be recorded for each artist instead, or even each Category name.

The Intro/Outro File Tool can be used to quickly record intros and outros for all songs in a category.

AirList will first look for a matching song introduction file. If one is not found, then it looks for an introduction file matching the artist only. If no artist introduction is found, then it looks for a file matching the Category name. If this is not found, then no introduction file is inserted in the playlist.

An example Artist introduction is: "Here's Bering Strait, a band from Russia, on WKRP, Cincinnati's best Rock music".

An example Category name introduction is: "Here's some country-rock, on WKRP, Cincinnati's best Rock music". This is only possible if you have separated your music genres into separate Categories and indeed have a Country-Rock category.

In some automation software, Song Intro's (and Voice Tracks) may be played simultaneously (overlapped) with the song ramp (non-vocal start) of the following song. This helps the broadcast sound completely live when unattended. This is not supported by Raduga.

A Song Intro is generally inserted in a Rotation directly above a Category, although other spots may be scheduled in between the intro and the song, such as a commercial break. Whichever song is selected for the category, a matching intro file, if one exists, will be inserted above the category file in the playlist.
Here is an example portion of a Rotation:

Station ID
 Simon's Song Intros (Song Intro Spot Group)
Country Rock (Category)
etc

Simon's Song Intro's is a Spot Group containing introductions for songs or artists recorded by Simon. The same song or artist introductions can be recorded by different DJ's for emulating a live DJ shift at different times of the day.

As mentioned, above, other spots may be scheduled between a Song Intro and a Category. This can be used to introduce a song or artist coming up after the break, for example.
Here is an example portion of a Rotation:

Simon's After Break Artist Intros (Song Intro Spot Group)
$5 Ads (Normal Spot Group)
Bike Shop Ad (Normal Spot Group)
Station ID (Normal Spot Group)
Country Rock (Category)
etc

Here we have a different Spot Group containing Simon's introductions for artists only, which mention the artist coming up after the break. In this case, the introduction file will be selected, if available, for whatever artist is selected from the Country Rock category.

Introductions are not normally placed in a rotation before every category item, otherwise the introductions would be overused and quickly become stale.

The matching of a song with an introduction file is based on the artist and title information stored in Track Properties. For a song match, the artist and title details of the introduction file must match exactly (case insensitively) the artist and title details of the song. For an artist match, the artist name may be in the artist OR title tag of the intro file, and the other tag must be left blank. For a Category name match, the artist of the intro file must be blank, and the title must match the name of the Category.

If filenames are being used rather than file tags (see the Use file tags for Artist & Title option) , the filenames of the intro file and the song file must be identical, with a few exceptions. Filename matching is done case insensitively; the file extension may be different; and the Intro Time (#xx) is ignored. A tilde "~" character and any characters after it are also ignored. When file tags are used to obtain the artist & title, the filenames are irrelevant.

More than one introduction may be recorded for one particular song or artist or Category name. Simply create two or more introductions with the required artist and title details. Each introduction will be selected in a rotation system so a different introduction is used each time the same song or artist is selected.

When using the filename to obtain the artist & title, the filename may contain the @ character followed by a number after the title. This specifies the position where the artist/title finishes. For example, if 3 artist introductions are available for the artist Cat Stevens, they could be named as follows.
Cat Stevens.mp3
Cat Stevens@1.mp3
Cat Stevens@2.mp3

A list of songs that do not have a matching introduction file may be viewed and printed in the Missing Intro/Outro List available on the Tools Menu.

• Song Outro: A Song Outro Spot Group works almost identically to a Song Intro Spot Group except it is used to insert an outro file after a matching Category file. This is used to describe the song that just played. An Outro Spot Group must be placed in a Rotation directly after a Category.
Here is an example portion of a Rotation:

Station ID (Normal Spot Group)
Country Rock (Category)
Simon's Outros (Song Outro Spot Group)
etc

Song Outros can overlap the end of songs in some automation software.

• Block: All items in the Spot Group are added to the generated playlist in one block. Only one entry in a Rotation or Timed Event is required for all tracks to be selected. This may be used where a group of tracks must be played sequentially, such as a group of community notices. The Average Time above will in fact be the total duration of the entire block.

Timed events scheduled in the same hour will appear in the playlist between items in the block.

• Voice Intro: This group type is only for use with automation software that supports voice track overlapping. A Voice Intro type is similar to a Normal type, except selected tracks can play simultaneously with the song ramp of the next track. The spot will only "talk-over" the next track in the playlist if the track has an Intro Time specified in the filename (see Track Tool).

• Commercial Intro: This type may be used for advertisements. They appear with a pink icon rather than red.

• Jingle: Jingles appear with a red music symbol icon.

• Category List: A type of spot group can contain multiple categories. When the Spot Group is utilized in a rotation, a category from the list is selected and used in place of the spot group. The categories may be selected alphabetically or randomly. This may be useful for selecting a random category in a specific rotation position.

When this type is selected, the Add Folder button changes to Select. Use this button to select the desired categories by ticking the checkboxes.

With Intro Timed Songs Only (checkbox, default: Unchecked):
This is only available for Song Intro and Voice Intro types above. When checked, an Intro spot will only be selected if the following song selected has been intro timed (see Track Tool)..

Short Intro Only (checkbox, default: Unchecked):
This is only available when With Intro Timed Songs Only is checked above. When enabled, an Intro spot will only be selected if an Intro is available that is shorter in duration than the following songs intro time. This option is likely only to be useful when using multiple artist intros, not Song Intros.

Sort (radiobox):

• All Folders Combined: When more than one folder is specified in the list, spot items will be selected alphabetically, regardless of the folder they exist in. Individual files added to the list will also be sorted in alphabetical order.

• Per Folder/Unsorted: When folders have been added to the list above, tracks are selected alphabetically within each folder, and the folders are recursed sequentially. ie. Tracks are selected alphabetically from the first folder, followed by all the tracks in the second folder, etc.

When individual filenames have been added to the list above, the tracks will be selected in the order shown in the list and not sorted.

• Randomly: Spot items are sorted into a random list when AirList is loaded, and re-randomized when the list is exhausted. Spot item selection is made sequentially through the randomized list. Unlike Categories, the randomized list is not permanently stored for random Spot Groups. The list is re-randomized when AirList is loaded.

Always start with first item (checkbox, default: Unchecked):
 When enabled, at the start of each generation, the first item in the spot group is always selected first. When disabled, the first item selected is based on the last item selected in the previous playlist generation, in a rotating system. This option is only available for Normal and Overlap Intro spot group types.

Include in Spot Summary:
When enabled, usage details of the spots selected from this Spot Group will be saved to the Spot Summary log file. This may be used to include only advertisement spots in the summary, for example, and ignore jingles and station ID's.

Next Item: The next Spot Item (audio file) to be scheduled from this group. Items from Normal and Overlap Spot Groups are scheduled sequentially in alphabetical order of the filename, and the position in the list is permanently stored between playlist generations. If the selected item is blank then the first item in the list will be selected. Change the Next Item if required. This option is only available for Normal and Overlap Intro spot group types.


Rotations

A Rotation contains a set of Categories, Spot Groups and optional non-audio items which define the template of an hourly programme. For each Category and Spot Group in the rotation list, an audio file is selected from the Category or Spot Group.

Rotations are used in Schedules to define which hours of the day, and which days of the week a rotation is used.

Rotations are created and maintained in Rotation Properties.


Rotation Properties

Use Rotation Properties to create and maintain Rotations.

Name: Enter a unique name for the Rotation. The name may be renamed at a later date in the Rotation List.

Notes: An optional field which may contain other information regarding the Rotation.

Default (checkbox): One Rotation must be defined as the default. The default Rotation becomes the virtual Rotation named "...DEFAULT...". This provides any easy method to change the default rotation used in Schedules without editing the Schedule. The Default Rotation can not be deleted. The default must be moved to a different Rotation before it can be deleted.

Category and Spot Group Lists:
These boxes contain the Categories and Spot Groups that have been created. The divider line between these two boxes may be moved vertically to resize the boxes.

Rotation List:
 Add multiple Category and Spot Group items to the Rotation List to make up an hourly Rotation. During playlist creation, an audio track is selected from each Category or Spot Group in the order they appear in the Rotation List.

The estimated start time in relation to the start of the hour is placed before each item in the list. The start time is calculated from the average time of each Category and Spot Group item and is an estimate only. The actual time may substantially differ from the actual time the item will play, depending on the length of the specific tracks that are selected.

Category and Spot items may be added to the Rotation list in 5 ways.

  1. Highlight a Category and click the top arrow button, or highlight a Spot item and click the bottom arrow button
  2. Double-click on a Category or Spot item to add it to the Rotation after the the currently selected Rotation List item.
  3. Drag and drop the items to the required position in the Rotation List.
  4. Press the Insert (Ins) key while a Category or Spot item is selected.
  5. A right-click Popup menu is available for option 4.

When Use Colored Items is disabled in the Advanced Options, Spot items are enclosed in {braces}, Break Notes appear prefixed with "**", and Voice Track Markers appear with "##".

Rotation list items may have their position moved by using drag and drop within the Rotation List.

The approximate time of the Rotation is displayed at the top of the list. Allowance for crossfading should be made if using a crossfading audio player. Usually a minimum of 63 to 64 minutes is required.

When Time Checking is enabled (see Advanced Options), the last few Category items in the Rotation List may be skipped and not used if the current hour being generated calculates to more than 1 hour (plus crossfading allowance). Spot Group and Break Note items are never skipped.

Time Checking also provides for Rotations which are shorter than 1 hour. A Rotation will rotate back to the first item in the list if the current hour being generated calculates to less than 1 hour. In this case, only normal type Category items are re-used, not Spot Group or Break Note items.

Rotation List Buttons:
Many of the following functions are also available from right-click popup menus.

Top Arrow: Inserts the selected Category item into the Rotation List above the selected item.

Insert Break Note: Break Notes are usually non-audio items in the playlist which may be used to provide a simple note to the DJ, or the text of an advertisement or announcement to read, or it can control aspects of a playback system.

This option will display a simple dialog box asking for a Break Note Description. Refer to the playback system's documentation for the valid formats to enter into the description.

This option is not available when the Break Note Format is empty in the Playlist Options.

As with Spots, a Break Note may be converted to a timed event to execute at a specific time. See Make Timed Event below.

A special break note code may be used to over schedule one track in any hour the break note is used. See Over Schedule on the Advanced Options tab. Simply insert the words extra track into a break note description.

Edit Break Note: Edit the Break Note description. This is also available by double-clicking the Break Note item.

Make Timed Event: Converts an existing Spot Group or Break Note in the Rotation List to a Timed Event. This button opens the Timed Events dialog. Timed Events may also be scheduled with a specific hour and minute using the Timed Events facility in Schedule Properties.

Edit Timed Event: Edit the details of an existing timed event. This option will only appear when a timed event is selected. This is also available by double-clicking a timed event.

Insert VT Marker (AirList Pro): Voice Track Markers may be inserted in locations where voice tracks are to be recorded via the Record Multiple Voice Tracks option in the Playlist Editor. An estimated duration of the voice track will be prompted for which is only used to provide a more realistic total time for the rotation. A value of zero is accepted.

Voice track markers are location markers which are not written to the playlist files. The markers are replaced with real audio files when recording voice tracks in the Playlist Editor, however, when the Generate VT Filenames option is enabled, a unique filename, which doesn't yet exist, is chosen during playlist generation and inserted in the playlist.

Delete: Remove the selected item from the Rotation.

Bottom Arrow: Inserts the selected Spot Group item into the Rotation List above the selected item.


Timed Events

Note: Raduga does not support timed Events from within a playlist.

Timed events are Spots or Break Notes which must execute at a precise time, or as soon as possible after the specified time.

In some automation software, these items can be optionally played at the precise specified time.

When scheduling timed events in a rotation, it does not matter where the timed event is placed within the Rotation List. AirList will move the timed event within the playlist to the approximate time position based on the duration of previously selected tracks in the hour.

Timed events may also be scheduled with a specific hour and minute using the Timed Events facility in Schedule Properties.

The Timed Event dialog has the following options.

Event Type:
A timed event can be set to Schedule Next or Instant Play.

Schedule Next will play the event after the scheduled time once the current track has finished playing.
Instant Play will truncate and fade whatever is playing at the scheduled time and play the event immediately.

When multiple timed events are scheduled for the same time, the Event Type of the first timed event in the block will used for the entire block.

Scheduled Time:
 Enter the minute the timed event should be executed. An hour is not required since this event is scheduled in a Rotation which is scheduled for specific hours of the day in a Schedule. Whenever the Rotation is used in a Schedule time slot, the timed event will occur in that hour at the specified minute.

Timed Events scheduled for 60 minutes past the hour will always be scheduled as the last items in the hour after all rotation items. eg. 14:60.

In some automation software, these end-of-hour Timed Events have a special significance. They will be played at a calculated time so that the last event finishes precisely at the top of the hour.


Schedules

A Schedule contains a list of the Rotations that will be used for each of the 24 hours of a day.

A Schedule may be used for one or more days of the week. If the station format does not differ from day to day, then only one Schedule may be required. When different rotations are required every day, then 7 Schedules may be required.

Schedules can be created for special days of the year and not used until required. Simply leave all Days of the Week unchecked until required.

Each Schedule may also contain Timed Events to be scheduled for a specific time of the day.

Schedules are created and maintained in Schedule Properties.


Schedule Properties

Use Schedule Properties to create and maintain Schedules.

Name: Enter a unique name for the Schedule. The name may be renamed at a later date in the Schedule List.

Notes: An optional field which may contain other information regarding the Schedule.

Rotations List:
 All existing Rotations appear here, plus some virtual rotations as follows:

...DEFAULT... | When a generating a playlist, this will be replaced with the Rotation that currently has the Default checkbox checked (ticked).
...SILENT... | This will produce a playlist containing a one hour break note. This may be used when audio is not required for specific hours of the day. This is only likely to be compatible with automation software other than Raduga.
...NONE... | This will prevent a playlist file being created for the hours where this is scheduled. It is only likely to be of use when generating hourly playlist files. This option should only be used when the hour's playlist already exists and should not be overwritten, or when tracks for this hour will be later inserted manually using the Playlist Editor.

Schedule List:
 A table containing the Rotations to be used for each of the 24 hours in a day.

Creating a new Schedule will fill the Schedule List with the virtual ...DEFAULT... rotation described above.

Attach other Rotations to the hours where a different programme is required. Rotations may be attached to the Schedule in the following ways.

  1. Click the single arrow button to attach the selected Rotation to the currently selected hour.
  2. Click the double arrow button to attach the selected Rotation to all hours in the Schedule.
  3. Double-click a Rotation to attach it to the currently selected hour.
  4. Drag and drop a Rotation to the required position in the Schedule.
  5. Press the Insert (Ins) key while a Rotation is selected.
  6. Press Shift+Insert to attach the selected Rotation to all hours in the Schedule.
  7. A right-click popup menu is available.

Replay an Hour:
 Replays a previous hours playlist at the selected hour.

A previous hours playlist may be repeated at a later hour the same day or any future day. This option is only available when generating a Separate Playlist For Each Hour.

A dialog will be displayed to select the day of the week and hour to repeat. The generated playlist file for the current hour will include the playlist file for the original hour. Any changes made to the original hour using the Playlist Editor will also change what is played in the repeated hour, including inserted voice tracks or commercials.

Timed Events (list): A list of Spot Groups and/or Break Notes to be inserted into the playlist at specific times of the day. See Timed Events for more details. Timed Events may also be scheduled in Rotations.

Days of the Week (checkboxes):
 The days of the week the Schedule will be used.

Not more than one Schedule should be selected for any one day, however, there is no checking that this is the case. If two or more Schedules are accidentally selected for the same day of the week, the first one alphabetically will be used.

A right-click popup menu is available to Select All Days, Select All Weekdays, or De-select All.

Schedules can be created for special days of the year and not used until required. Simply leave all Days of the Week unchecked until required.


Timed Events

Timed events are Spots or Break Notes which must execute at a precise time, or as soon as possible after the specified time.

These items will be inserted in the playlist as close as possible to the selected time based on the duration of previously selected tracks in the hour

Timed Events are not compatible with Raduga but may be used with some other automation software. In such software, these items can optionally be played at the precise specified time.

Timed events can also be scheduled within a Rotation.

Use the buttons or right-click popup menu for the following functions:

New | Open Timed Event Properties to create a new Timed Event
Properties | Open Timed Event Properties to edit the selected Timed Event
Delete | Delete the selected Timed Event
Copy All | Store the entire list of Timed Events
Paste | Paste the stored Timed Events

Copy All and Paste is used to transfer all the Timed Events from one Schedule to other Schedules.

A Timed Event scheduled for 0 minutes past the hour will always be selected prior to any rotation items. eg. 14:00.

A Timed Event scheduled for 60 minutes past the hour will always be selected as the last item after all rotation items. eg. 14:60. In other automation software, these end-of-hour Timed Events will be played at a calculated time so that the last spot finishes precisely at the top of the next hour.

Multiple Timed Events added for the same time will be selected consecutively in an alphabetically order of the Spot Group name.


Timed Event Properties

Note: Raduga does not support Timed Events directly.

Event Type:
 A timed event can be set to Schedule Next or Instant Play.

Schedule Next will play the event after the scheduled time once the current track has finished playing.
Instant Play will truncate and fade whatever is playing at the scheduled time and play the event immediately.

When multiple timed events are scheduled for the same time, the Event Type of the first timed event in the block will used for the entire block.

Track Type:
Select Spot Group to insert a timed spot, or Break Note to insert a timed break note.

Hour/Minute:
 Enter the hour and minute the timed event should be executed.

Timed Events scheduled for 0 minutes past the hour will always be selected prior to any rotation items. eg. 14:00.

Timed Events scheduled for 60 minutes past the hour will always be selected as the last items in the hour after all rotation items. eg. 14:60. In some automation software, these end-of-hour Timed Events have a special significance. They will be played at a calculated time so that the last event finishes precisely at the top of the hour.

Order:
Multiple Timed Events scheduled for the same time and same Order will be selected in alphabetical order of the Spot Group name. Use the Order option to change the order events are scheduled. Events with a higher order will be selected after events with a lower order. This option has no effect for events scheduled for different times.

Spot Group:
 If Spot Group was selected for the Track Type above, select the required Spot Group from the list. Only Normal, Block and Voice Intro type Spot Groups will be available for selection.

Edit Break Note:
If Break Note was selected for the Track Type above, click the Edit Break Note button to enter the break note.

Break Notes are usually non-audio items in the playlist which may be used to provide a simple note to the DJ, or the text of an advertisement or announcement to read, or it can control aspects of a playback system.

A simple dialog box will appear asking for a Break Note Description. Refer to Raduga's documentation for the valid formats to enter into the description.

This option is not available when the Break Note Format is empty in the Playlist Options.


Related Artists

Related Artists is used for the situation where two or more artists need to be considered as the same artist as far as the Artist Repeat Interval is concerned. This is often necessary for artists known by more than one name, or where an artist has recorded as a solo artist and also in a band or group.

Click New to enter a new set of Related Artists. The Primary Artist is the artist that all Secondary Artists will be referred as when internally testing the Artist Repeat Interval. It is recommended that at least one song exists in your library with the name of the Primary Artist.

The artist names may be entered case insensitively.

A Primary Artist may appear as a Secondary Artist for another Primary Artist if required, however, a Secondary Artist should only be associated with one Primary Artist.

Examples:

  1. Primary: The Beatles. Secondary: Paul McCartney;John Lennon;George Harrison;Ringo Starr
  2. Primary: John Lennon. Secondary: Yoko Ono;John Lennon & Yoko Ono
  3. Primary: Linda McCartney. Secondary: Paul McCartney (invalid)

In example 1, all 5 artists will be regarded as The Beatles and none of them will be repeated within the Artist Repeat Interval.

In example 2, any songs from John Lennon, Yoko Ono, and John Lennon & Yoko Ono will not be repeated within the Artist Repeat Interval, however, a John Lennon & Yoko Ono song and a Beatles song are allowed to appear within the interval.

Example 3 is invalid and will be ignored because Paul McCartney already appears as a Secondary Artist in example 1. This line could have Paul McCartney as the Primary Artist and Linda McCartney as Secondary.


Options

The Options are spread over the following three tabs.


Run Options

Generate Playlist starting from:
 Specify the Day and Hour that the playlist is required to start from. This date is automatically incremented to the next creation date when a Save All is executed after generating a playlist. ie. If the Days option is set to 7 days, the date will be incremented by one week

Playlists may be generated for up to 90 days, however, this number is usually either 1 or 7.

Creating a playlist every day is most common when changes to the playlist format are made regularly, such as adding and removing advertisements.

Auto Increment Hour:
 When the For Hours option is non-zero, and Auto Increment Hour is enabled, the Start Hour will be incremented by the number of hours being generated.

Note: The Start Day & Hour is always incremented when a playlist is created automatically using the -r command-line switch..

Auto Print Playlist:
Prints the playlist automatically after a playlist has been generated. A playlist may be printed manually using the Playlist Editor.
To print only a portion of the day, use the Print Playlist option in the Playlist Editor to change the From/To Hour range and check the Save Hour Range checkbox.

Logging Options:
 With Track Summary checked, a file is created each time a playlist is created containing a list of all tracks used in the playlist, along with the number of times each track was used. This could be suitable for royalty reporting requirements. The filename format is based on the starting day and hour of the playlist: Track-mmmddhh.csv. eg. Track-Oct3100.csv

The Track Summary log file includes the following data if available: Times used during the generation, Artist, Title, Album, Composer, Record Label, CD Code (EAN/UPC or catalog number), and ISRC code. Apart from the Artist and Title, the additional information must be entered in the Track Properties available from the File List, otherwise these fields will be blank.

With Spot Summary checked, a file is created at each playlist generation containing a list of all the spots used in the playlist, and the dates/times used. This can be used for billing purposes. The filename format is based on the starting day and hour of the playlist: Spot-mmmddhh.csv. eg. Spot-Oct3100.csv

The Spot Summary includes the following data: Spot Group, Client, Filename, Duration, Times used.

The Client name or code is entered in Spot Group Properties or Track Properties and may be used to identify the Client for billing purposes.

Both the Track Summary and Spot Summary files may be loaded directly into a spreadsheet, or printed as a report in the Playlist Editor. The files are stored in the location specified in the Log Folder. The log files should not be manually modified if the Playlist Editor is to be used to print the information.

The following files are also created in the Log Folder:

mmmddhh.plg (eg. Oct3100.plg) contains intermediate playlist creation information used internally by AirList and the Playlist Editor.

Generate.log contains a basic summary of the last playlist creation, as it appeared on the screen. This file should be checked for selection errors when using the -r command-line switch.

Genyymmdd-hh.log (eg. Gen061231-00.log). This is identical to the last created Generate.log above. Old logs can be viewed for selection errors.

TrafficImport.log contains a summary of the last import of commercials from a 3rd party traffic log file. See Traffic Importer.

Files are automatically deleted from the Log Folder. See the Delete Generated Files option below.

Auto Backup Data:
When enabled, AirList's configuration data files will be copied to the Backup Folder (below) when a Save All is executed. This is equivalent to selecting the Backup Data option on the Tools Menu. The backup occurs before the current information is saved. If a problem occurs with the Save, a Restore Data may be necessary.

Backup Folder:
The folder where the configuration files are copied when an automatic or manual Backup is executed. This may be a folder on another PC on the LAN.

Default Song Repeat Interval:
 The default minimum period of time between scheduling the same filename. This default setting is only used when the Song Repeat Interval in Category Properties is set to System Default.

The same path\filename used in other Categories is taken into account and will not be repeated within the interval. However, a copy of an audio file placed in another folder is regarded as a different song and can be repeated within this interval. However, Windows shortcuts to files and folders may be created and copied to other folders, and song repeat protection will work between the categories.

Select a value of between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days). A value of 0 (zero) disables default song repeat protection.

A song will not be repeated until the track list has been fully traversed, so a high song repeat interval is usually not necessary and can cause selection errors if it is set too high.

A value of half the total duration of the category is a recommended maximum. ie. If the category has enough tracks for 4 days without repeats, we recommend a maximum song repeat interval of 2 days.

Default Artist Repeat Interval:
 The default minimum period of time between scheduling a song by the same artist. This default setting is only used when the Artist Repeat Interval in Category Properties is set to System Default.

Select a value of between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days). A value of 0 (zero) disables default song repeat checking.

A value of 0 (zero) disables default artist repeat protection.

Generally, this interval should be kept as low as possible. A value of around 3 hours is typical. Large artist separation will result in many tracks being skipped in the track list and can result in some tracks being selected more than others as the track list is traversed more often.

Default Title Repeat Interval:
 The default minimum period of time between scheduling a song with the same title. This is useful for situations where two or more artists have recorded the same song, such as Christmas songs for example.. This default setting is only used when the Title Repeat Interval in Category Properties is set to System Default.

Select a value of between 0 minutes and 7 days by moving the track bar, or enter the number of minutes to a maximum of 99999 minutes (~69 days). A value of 0 (zero) disables default title repeat protection.

A value of 0 (zero) disables default title repeat protection.

This interval should also be kept as low as possible, A value of around 2 or 3 hours is typical.

Next Day Song Repeat Repeat Protection:
This is a global setting to prevent the same song from repeating within (plus or minus) the specified number of minutes the next day. This is useful when using high rotation categories (eg. Top 20) with Song Repeat Intervals of 24 hours or less. This can prevent a listener from hearing the same song two days in a row during a lunch break, for example. A value of 0 (zero) disables the option.

Here is an example using a typical setting of 90 minutes:
If a particular song played at 12 noon on Monday, the same song would not be scheduled between 10:30am and 1:30pm on Tuesday.

Copy Scheduled Tracks:
This option is mainly designed for internet radio stations using an on-demand/file upload account at a file hosting company. AirList will copy all the tracks selected in the playlist to one specified folder for easy uploading. A File Path Substitution will be required to remove or replace the file paths within the playlist.

Delete Generated Files:
 Files in the Playlist Folder, HTML Playlist Folder, Log Folder, and Voice Track Folder which are over the selected age (based on the files modified date) will be deleted at the start of each new playlist creation.

Warning: The deletion routine will delete all files in these folders, not just the files generated by AirList. Do not place any files you wish to keep in any of these folders. Any read-only files, however, will not be deleted.


Playlist Options

Separate Playlists for each (Playlist Interval):
Hour: Create 24 playlist files for each day -- a total of 168 files for 7 days. Use this option with a playback system which loads a new Playlist file every hour.

Day: Creates one playlist file for each day of the week -- a maximum of 7. Use this option when the playback system loads a new playlist every day. This is most common for Raduga

Week: Creates only one Playlist file. Use this option when no scheduling system is being used.

When Time Checking is enabled in Advanced Options, changing the interval will prompt the user with the option to set the Reset Time Check to the same interval.

Playlist Folder: The disk folder where the playlist file(s) will be created. Any files generated with the same name will be overwritten. Files are automatically deleted from this folder. See the Delete Generated Files option in the Run Options.

Overwrite existing playlists: When enabled any existing playlist files that exist for the same hour or day in the Playlist Folder will be overwritten by default when generating a playlist. This is the default and recommended setting.

When disabled, playlist files that already exist will not be generated and the Rotations will be skipped in the Schedule. This may be useful when some hours are manually created in advance, or playlist files for some hours are created elsewhere and copied to the Playlist Folder..

Playlist Filename Format: This format represents the filename of each playlist file. This may need modifying when AirList is used to generate playlists for a 3rd party audio playback system. The format supports all standard Windows date and time formatting specifiers. All literal characters enclosed in single or double quotes will be included as is.

The default mmmdd".ALB" produces files such as Jun30.ALB, which is suitable for Raduga.

Table 1. Date and Time Formatting Specifiers

The most commonly used date and time formatting specifiers are:

Specifiers | Description
hh | the hour with a leading zero (00-23)
dd | the day as a number with a leading zero (01-31)
ddd | the day as an abbreviation (Sun-Sat)
mm | the month as a number with a leading zero (01-12)
mmm | the month as an abbreviation (Jan-Dec)
yy | the year as a two-digit number (00-99)

The hh specifier should be used when creating separate playlists for each hour.
The dd specifier should be used when generating playlists for more than 7 days.

Table 2. Playlist Parameters

The Playlist Parameters are required for the Playlist Format setting below. The Header and Footer settings can also utilize some of the parameters. Only the %D and %h parameters will include any useful information for Headers and Footers. These settings provide the ability to create playlists in the structure or format required for basically any automation or playback software.

The format is %nx, where
n = optional string size. This will pad with spaces the parameter value to the specified number of characters. If the value contains more than this number of characters, it will be truncated.

x = case sensitive parameters as follows:

Param | Description
u | Unmodified full path\filename (with no File Path Substitutions)
p | File path (excluding trailing \)
f | Filename (no extension)
~ | Short filename (DOS 8 char format with no extension)
e | File extension (including the period ".ext")
a | Artist
t | Title
N | Client
S | Song duration in seconds
s | Song duration (mm:ss)
d | Playlist duration (hh:mm:ss)
D(format) | The scheduled date in the selected format. The (format) is optional and may contain any of the standard Windows date/time formatting specifiers. See Table 1 above for commonly used specifiers. If the format (including the brackets) is omitted, the format used is the Windows ShortDateFormat based on the Windows regional settings. eg. %D(yy-mm-dd)
h | The scheduled time to play (hh:mm:ss)
E | Timed event type (0-2). 0 = Non-timed, 1 = Schedule Next, 2 = Instant Play
H | Timed event hour (0-23)
M | Timed event minute (0-60). 60 = end-of-hour event
q | Cue point in milliseconds
o | Crossfade overlap duration in milliseconds
Q | Segue point in milliseconds from the beginning of the track
O | Fade Speed (not currently utilized). This is an indication of how fast the track naturally fades out at the end of the track. A smaller number indicates a faster fade.
Y | Internal use. Value 0.
Z | 0 = The automation software will use it's own Cue & Segue points, 1 = The automation software will use the %q and %Q values above for the Cue & Segue points
i | Track intro time in milliseconds. This may be read from the file tag or filename
C | Track type (0=Category, 1=Spot, 3=Break Note, 4=Header/Footer)
c | The Category or Spot Group name
L | Track number. This is reset to 1 at the Reset Period (see Advanced Options)
n | Insert a new line (cr/lf)
b | Tab character

Any other characters in the string will be included as is.

Examples:
 %p\%f%e will generate the default M3U standard playlist format containing the full path and filename. This is compatible with most free media players.
(%d) %20a%20t [%s] will generate this:
(16:30:00) The Beatles Let It Be [04:02]

Playlist Header: The text to be inserted at the start of every playlist file. This may be required for XML or similar formats. Table 2 parameters may be used.

Hour Header: The text to be inserted at the start of every hour in the playlist file. This may be required for XML or similar formats. Table 2 parameters may be used. This was previously known as an Hour Marker.

Playlist Format: This is used to define the structure of the tracks output to the playlist file. Select a playlist format from the pre-defined pull-down list or enter a user-defined template using the parameters in Table 2 above.

When a pull-down selection is made, several other settings are modified to suit the selected playback software.

Pre-defined List
M3U Standard: This is the standard M3U playlist format which most MP3 audio players support.

Other pre-defined systems supported are:
StationPlaylist Studio, PLS Standard, AudioEnhance DPS, Raduga, and Windows Media Server (WSX).

Hour Footer: The text to appear at the end of every hour in the playlist file. This may be required for XML or similar formats. Table 2 parameters may be used.

Playlist Footer: The text to appear at the end of every playlist file. This may be required for XML or similar formats. Table 2 parameters may be used.

Break Note Format:
 Break Notes are text or codes which may be inserted in a playlist to control the playback system or simply as a note for the station DJ/announcer. Break Notes are only of use if the playback system is able to handle non-audio instructions.

Most automation software is able to utilize Break Note codes to control functions or settings within the software, or it may be used as the text an advertisement to read live.

Break Notes may be added to a Rotation in Rotation Properties or entered in the Timed Events section in Schedule Properties. The Break Note Format may include any literal characters in combination with any playlist parameters in Table 2 above. %u is normally required and is replaced with the Break Note description entered in Rotation Properties/Schedule Properties. Break Notes cannot be created when the Break Note Format is empty.

Playlist File Path Substitution:
 Substitute the first occurrence of the From path with the To path in all the audio filenames within the playlist (case insensitive). This option may be required when AirList is run on a different PC to the broadcast PC, or if the playlist is to be published on the web as a static on demand playlist.

If the From path ends with a backslash "\", the To path should also.
If the To path is empty, the From path is removed from all filenames.
An empty From path represents all paths in the playlist. In this case, all paths in all filenames will be replaced with the To path.
To completely strip all paths from the filenames, leave the From path empty, and place a period "." in the To path.

Examples:
 From: F: To: C:\My Documents\My Music
From: F:\ To: D:\
From: C:\Music\ To: http://www.mywebserver.com/music/ (on demand webcast)

HTML Playlist:
 Enable HTML Playlist:
 When checked, a set of personalized HTML/JavaScript web pages will be created for your website or intranet, in addition to the playlist files used for broadcasting. Your station staff/DJ's and/or your listeners will be able to browse the track titles for any hour of the generated playlist.

Publishing future playlists publicly is illegal in some countries. This facility is often used for private publishing for internal use, or for remote DJ's recording voice tracks, for example.

24 files will be generated for each day. They are roughly 3kb in size which totals roughly 500kb for a weekly generation. The files are stored in the HTML Playlist Folder specified below, but may be copied elsewhere or manually uploaded to a remote server if required.

The file playlist.html should be used for linking from your web pages. This file contains JavaScript code to automatically load the HTML Playlist file for the current hour based on the viewers computer clock.

Include Spots: Include Spots in the HTML Playlist. When this is unchecked, only Category tracks are included. When a duration is entered in the Over box, only Spots that exceed this duration will be included. Spots are always displayed in red.

Include Scheduled Start Time: When enabled, the scheduled start time of each track will appear to the left of the track title in the HTML Playlist.

Include Voice Tracking Info (AirList Pro): When enabled, Voice Track Markers and song intro times will be included in the HTML Playlist. This may be useful for DJ's recording their voice tracks from a remote location.

Output Category Names only: When enabled, only the names of the Categories and Spot Groups will be output in the HTML Playlist, rather than the titles of the selected audio files.

HTML Playlist Folder: The disk folder where the HTML Playlist files will be created. With the exception of index.html and playlist.html, other files are automatically deleted from this folder. See the Delete Generated Files option in the Run Options.

HTML Code:
 The look of the generated web pages may be altered to suit an existing website by altering the Header and Footer code. A good knowledge of HTML may be required.

The Default button will generate the default HTML code for the Header, Footer and Title by asking for the station name and website URL.

The Header button will pop up a window for entering/editing the header code. This is used to customize the top of the generated web pages. There are some requirements as follows:

The header code must contain the <body> tag along with the text, alink, and vlink color definitions. The link color is optional. The text color is used for the track titles. The vlink color is used for the track duration beside the titles. The alink color is used for the "Scheduled for " date/time. The color definitions must be unbroken (no new lines) between the tag name and the last quote ("). eg. alink="blue".

The Footer button will pop up a window for entering/editing the footer code. This is used to customize the bottom of the generated web pages -- after the playlist details but before the "Generated by" message. The </body> and </html> tags should not be included as these are generated automatically.

The Title is the title that will appear at the top of the browser window. It is also used in the heading of the log files & reports.


Advanced Options

Reset Time:
 Resets the playlist carried over running time at the start of each Hour, Day or Week.

This option has most effect when Time Checking (below) is enabled, however, it will also synchronize the playlist running time parameter %d in the playlist format, plus the %N playlist format parameter is reset to 1, at the start of each time interval, regardless of the Time Checking option.

When Time Checking is enabled, the Reset Time is used to control the balancing of playlists over several hours by keeping a running time of the selected tracks, and comparing this to the actual scheduled time at the top of each hour. For example, if a long track is selected near the end of an hour and this hour ends up say 65 minutes, then the next hour only needs to schedule 55 minutes worth of tracks. We call this the carried over running time. This example is disregarding the Crossfade Allowance which adds more time to each hour due to crossfading between tracks.

With the Hour setting, the running time is not carried over to the next hour. The running time is reset at the top of each hour. This is required for playback software which synchronizes the playlist every hour to ensure it is running on time. Most broadcast automation systems would require the Hour setting.

With the Day setting, the running time is carried over from hour to hour but is reset after 24 hours.

With the Week setting, the running time is carried over throughout all hours for a whole week.

With the Day and Week settings, the Crossfade Allowance below will need fine tuning to keep the playlist running roughly on time, plus or minus a few minutes, in a playback system where no Hour Header can be used for synchronizing the playlist with the current time.

The Reset Time and the Playlist Interval in the Playlist Options usually have the same setting, but there are times when they can be different. For example, an automation player may require one playlist file per day, but the playlist contains Hour Headers to define each hour, and the playback system synchronizes the Hour Header with the PC clock. In this case the Playlist Interval must be Day and the Reset Time should be Hour.

Time Checking:
 Enable Time Checking (default checked)
 When checked, AirList will keep a track of the play time of the playlist and each hour will add or remove songs to ensure at least 60 minutes of of play time will be scheduled for every hour.

Songs are added to the playlist when it is short of 60 minutes by rotating back to the top of the current Rotation and selecting additional tracks from Category items only. Spot items are not utilized when topping up the hour.

Tracks are dropped from the playlist by skipping the last few items in the Rotation. Timed Events are never dropped, however. The total items added and dropped are displayed the Playlist Creation window and saved to the Generate.log file.

Playlist to be within:
This option is only available when creating a separate playlist for every Day or Week.

This is the period of time (plus or minus) that the play time must be within every hour.

Items will be added or dropped when the play time falls outside this period.

For Daily & Weekly playlists, some hours will be shorter and others longer but generally a playlist will average out over a period of time to stay roughly on time, so it is not recommended to use a very low setting. A setting of less than 3 or 4 minutes will have little effect and will lead to excessive adding and dropping.

Timed Event Compensation:
 When enabled, AirList will automatically schedule one additional category track for every unique time on "Instant" timed events scheduled in the hour. An Instant timed event truncates the current song playing so the playlist is likely to end up short of 60 minutes playing time. This option will prevent this situation.

Timed Events set to "Schedule Next" do not truncate tracks playing and extra tracks will not be scheduled for these events.

Over Schedule / Crossfade Allowance:
 This option will change between Over Schedule and Crossfade Allowance depending on the Reset Time period above.

With Reset Period set to Hour, this option is used for the Over Schedule function. For Day and Week, it is the Crossfade Allowance.

With an Over Schedule value entered, AirList will schedule 60 minutes of tracks plus this number of additional tracks at the end of every hour.

A special break note code may be used to over schedule one track in any hour the break note is used. This provides for selective over scheduling in hours that are more prone to track shortages, such as variable length news feeds.

Simply insert the words extra track into a break note description. Insert the break note twice to schedule 2 additional tracks after the 60 minute mark.

For Daily and Hourly Reset Time periods, the Crossfade Allowance is the estimate of the average amount of crossfading time occurring per track in the playback system.

Most playback systems use crossfading between the outgoing and incoming tracks. The exact crossfading point of each track is not known by AirList, so this value will usually need tuning depending on the format of the station. If the playback system has no crossfading ability, then the Crossfade Allowance should be set to zero.

With a higher Crossfade Allowance, AirList assumes that more of each song is being truncated so additional tracks may be added to the playlist to compensate.

Alter this setting in small increments if the playlist is loosing or gaining too much time over a long period of time. Decimal points are allowed. Typical values are between 9 and 13 seconds per track for most music types.

Note that this option does not control the amount of crossfading performed by the player software. It is strictly used to control the number of tracks scheduled every hour and to prevent time drift during large playlists which do not contain Hour Headers.

Track Filename Format: This setting is utilized when the Use file tags for Artist and Title below is disabled, or when a track does not contain an MP3, OGG, MP4/M4A, WMA, or WAV file tag. The Filename can then be used to obtain the artist and/or title.

Artist first should be selected when all audio filenames contain the Artist followed by the Title. Title first should be selected when the Title appears before the Artist. A mixture of both formats is not supported. When this option is changed, all files will be re-loaded.

Artist Delimiter: The characters in the audio filenames that divide the artist and the song title. The default of " - " (space, hyphen, space) supports the popular format 'Artist - Title.ext'. This setting is utilized when the Use file tags for Artist and Title below is disabled, and when a track does not contain an MP3, OGG, MP4/M4A, WMA, or WAV file tag.

Use file tags for Artist and Title: When enabled, artist and title information for all tracks may be obtained from within file tags inside each file if available. When disabled, or if no supported file tag exists, the artist and title is obtained from the filename if possible. See Song Database for more information. This option should be disabled if the tags in your audio files are not reliable enough to be used for Artist and Title recognition. However, the Store data in file tags option below can still be enabled to store additional information.

Store data in file tags: AirList will store information inside each audio file in our custom SPL file tag. The information stored includes the artist, title, intro times, duration, and the previous 18 scheduled dates and times. Other information may also be stored such as album, year, genre, recording date, label, ISRC, and CD Code (EAN/UPC or catalog number). Some of this optional data will be output in the logging facility, and is also available for viewing in the Playlist Editor.

When disabled, the artist, title and intro times are obtained from the filename. This is when the Artist Delimiter and Track Filename Format above are utilized. See Song Database for more information.

This option is recommended to remain enabled. When disabled, some track information, including the last 18 scheduled times, is stored in the category or spot group data file, but this information is lost if a file is moved out of a Category or Spot Group, or the Category or Spot Group is deleted. When file tags are enabled, this information is never lost.

Track information may be maintained by loading the Track Properties page in the File List or Playlist Editor.

Note: Automatic tag updates will not occur on read-only audio files, and no error will be generated.

Scan Folders at Startup: When enabled (highly recommended), all folders specified in Categories and Spot Groups will be scanned for new or removed audio files.

Files with the archive attribute set will also be checked for modifications, such as changes to the artist, title, cue, or segue information made in other utilities such as the Track Tool.

This option may be disabled to speed up the loading process, but changes made to the folders or files will not take effect when generating a playlist. In this case, a manual Rescan All Folders should be executed from the File Menu when changes have been made.

It is possible to temporarily disable scanning folders by holding the down the Ctrl and Alt keys while AirList is loading.

Default Instant Timed Events: When enabled, timed events will default to "Instant". When disabled, timed events will default to "Schedule Next". This setting can easily be changed from one or the other when creating a timed event, but this provides the default setting.

Enable Track Preview: When enabled, tracks may be played in the Playlist Editor, File List, and Track Tool. This option should only be enabled when AirList is installed on a different PC to the broadcast PC, or when two soundcards are installed and the preview player is set to play out the second soundcard. Use the Configure button to specify the soundcard to use for the preview player when 2 soundcards are installed. See the Preview Player chapter for more information.

Large Tool Buttons: When enabled, will display large tool buttons with text captions in the tool bars at the top of the main AirList window, the Playlist Editor, and also the File List form. When disabled, small tool buttons with no captions will be displayed.

Use Colored Items: When enabled, Rotation Properties, the File List, and the Playlist Editor will use color to help differentiate the different item types. Category items are in green, Spot Group items red, Break Notes are in blue, Timed Events are in orange, and Intros & Outros are in fuchsia.

Maintenance Tool Tips: When enabled, tool tips will appear when hovering the mouse over some of the controls in Category, Spot Group, Rotation & Schedule Properties.

Stay On Top: When enabled will force the main AirList window to stay visible on the desktop at all times, regardless of other applications running. This does not affect other windows opened from AirList such as Category Properties.

Generate VT Filenames: When checked, each scheduled Voice Track Marker will be replaced with a unique filename based on the VT Filename Format below, when generating a playlist. The filename does not yet exist. This is normally used for remote voice tracking where voice tracks are sent in from elsewhere. This option is usually disabled when using the local Playlist Editor for Voice Tracking.

VT Filename Format: The structure of the voice track filenames generated by AirList. The standard Windows date/time formatting specifiers may be used. (See the Playlist Filename Format specifiers). This format should always contain at least dd (day), hh (hour), and nn (minute) specifiers.

Generally, only the extension should need modifying. If Generate VT Filenames is enabled, and voice tracking is done remotely, then the file extension may be changed to any audio file format supported by AirList. When voice track recording is done locally in the Playlist Editor, only WAV, MP3, and Ogg extensions are supported. The default Voice Track Recording Application, Windows Sound Recorder, only supports WAV files.

Voice Track Folder (AirList Pro): The location where the voice track files will be generated. Files are automatically deleted from this folder. See the Delete Generated Files option in the Playlist Options.

Voice Track Recording Application (AirList Pro): The executable program which will load when recording voice tracks via the Playlist Editor. This defaults to the Windows Sound Recorder (sndrec32.exe). Other more sophisticated audio editors may be used. The application must support the loading and saving of at least WAV files via the command-line. Many applications have difficulty loading the empty WAV files created by the Playlist Editor.

Compatible applications include NGWave, Cool Edit, Adobe Audition, and Sound Forge. NGWave is a single track audio editor and has been tested to be the easiest and fastest option for voice tracking. NGWave supports WAV and MP3 files, and may be purchased from our website. The other 3 applications above support WAV, MP3, and OGG files either natively or with additional plugins.

New Track Bias: This affects the track selection process by biasing selection on category tracks that have been added to the library more recently. This is done by scanning a few tracks from the top of the current category list and choosing the track with the newest Creation Date. When set to None, all tracks are made available for selection. The heavier the bias, the more tracks it samples to find a newer date, and the less chance of selecting older tracks. However, even on the Heavy setting, the oldest tracks will still occasionally be selected.

File Extensions:
 The list contains all the file extensions supported by AirList. (See the supported files). Only the highlighted extensions will be considered by AirList when scanning directories or selecting files for Categories and Spot Groups.

Toggle an extension on or off by clicking with the mouse or pressing the space bar.

Use the Select All button to quickly select all extensions, or Select None to disable all extensions.

Change Creation Password (AirList Pro): A password entered here will be required when attempting to create a playlist. This may be useful to stop accidental or unauthorized creation of playlists.

Change Master Password (AirList Pro): AirList can be locked from all user access. This may be useful to prevent unauthorized access to the software.

When a password has been established, the password will be required when loading AirList. The Lock AirList option on the Tools Menu may also be used to lock access while AirList is loaded.

Note: The -r command line switch will operate without a password being entered.


Track Properties

Track Properties is used to view, edit, and enter track information. This information is used only by AirList and some automation software other than Raduga.

The Track Properties dialog is available from the File List, Playlist Editor, and the Track Tool, and is used to view, edit, and enter track information.

The information is read and stored in our own SPL file tag, not the ID3 or similar foreign tag formats. See Song Database for more information.

When multiple files are selected, checkboxes will appear beside most fields. All ticked fields will be saved to all selected files. The exception to this is the Restrictions tab. A change made on this tab will apply all restriction settings to all selected files.

Track Properties is arranged into 5 tabs.

Track Info: Contains the basic song information such as artist, title, composer, album, record label, etc. All information is optional, although the artist and title is usually the minimum required for song identification purposes. Other information may be required for song royalty reporting purposes.

Most of the fields are obvious except perhaps the following.

Album Artist: This field may be used to store the artist name of the CD album. This is only intended for compilation albums and should otherwise be left blank. eg. "Various Artists". This field is utilized by the CD Code Lookup button below.

ISRC: International Standard Recording Code (optional).

CD Code: This can be a bar code, CD catalog number, or Amazon ASIN number.

Lookup: This will perform a lookup at Amazon for an ASIN code matching the Song Artist and the Album Title, and store it in the CD Code field. The Album Artist is utilized rather than the Song Artist when entered. If a CD is not found, "0000000000" is stored in the CD Code.

CD Cover: If a CD Code is entered, this button will display the CD cover image if available. A Lookup is done first if the CD Code is blank or contains zeros.

Purchase: If a CD Code is entered, this button will display the Amazon purchase web page for this CD.

URL 1, URL 2, and Other may contain manually entered internet links to CD cover images or purchase links, for example. These may also be utilized in the automation software to provide CD images and purchase links on your website for non-Amazon affiliates.

Client is often used for storing an advertisers code or name. This field may be output in the Spot Summary.

Note: The Client information will be overwritten by AirList if the track is included in a Spot Group and Client is entered into Spot Properties.

Categorization: Contains additional track information that can be used in the File Import Wizard in Category Properties.

Year: This is usually the year the song was released. This may be used to search for tracks within a from/to range of years.

Genre and Mood: Any text can be entered, or previously entered text may be selected from the pull-down list. Any new text entered is added to the pull-down list. Use the Delete from list button to remove the text from the pull-down list.

Rating: Tracks may be given a rating from 1 to 10. This imay be used to search for tracks within a from/to rating.

BPM: The beats per minute of the track. This may be used to search for tracks within a BMP range.

Tempo: A less precise selection of beat speed with 5 values from Slow to Fast.

Energy: 5 values from Low to High.

Gender: Male, Female, or Group.

Timing: AirList uses this information for determining an accurate accumulative duration for each hour, and the number of tracks scheduled when Time Checking is enabled. These settings also control the playback duration and timing of the tracks in some automation software.

Duration: The full duration of the track. This is usually calculated automatically and should only be manually adjusted if the calculation is incorrect for whatever reason. The more common cause of an incorrect duration is a variable bitrate (VBR) MP3 file which is missing a VBR header. Utilities exist to fix this problem in MP3 files.

The duration is only used if the Segue Time has not been established. The actual play duration is calculated as Segue - Cue.

Intro Time: This is used only by automation software other than Raduga to to specify the length in seconds of the song ramp. This is the length of time from the Cue point (below) to the start of the vocals in the song. This is required to overlap voice tracks / voice intros with the song ramp to emulate a DJ over-talking.

A blank Intro Time means that the track has not been intro timed, whereas a value of zero means the track has been intro timed and the vocals start immediately. Use the Clear Intro button to remove the Intro Time.

Negative Intro Times are only for use with voice tracks. Songs should only have positive values.

Song Outros will overlap the end of songs in some automation software.

Fixed Crossfade: When unchecked (default), the Cue, Cue Overlap, and Segue times are controlled by the automation software. When checked, these values may be entered manually.

The Track Tool may be used to set these values by either listening to the track or scanning tracks to automatically determine the best values for an ideal crossfade.

Set these values to zero for the entire track to play with no crossfading. This may be useful for dry spots that should not overlap other dry spots or voice tracks.

Cue Time: The position where the automation software will start playing the track from.

Cue Overlap: The previous track is allowed to overlap up to this position in the track during crossfading. The previous track will fade out during this period. A value of at least 2.5 seconds is recommended for songs to provide a small amount of overlap.

Segue Time: The position near the end of the track where the crossfade should begin with the next track. This is calculated from the beginning of the track, not from the end of the track as often used by other broadcasting software.

Schedule Restrictions: AirList can restrict selection of this track to specific dates, days of the week, or times of the day.

Start Date / End Date: Select a range of dates when this track can be selected.

Delete file when expired: When checked, the file will be deleted from the hard drive when the current date exceeds the End Date above. This only occurs if the End Date is not set to January 1, 2000, and the file is not read only. The file will also be removed from Category Properties or Spot Properties if the file is specified individually in the File(s) or Folder(s) section.

Days: Tick the checkboxes for the days of the week that the track can be selected. An exception to this rule is when a time range crosses midnight (see below). In this case, if the previous day is ticked, the track will still be selected on an unticked day.

Time From / To: For the days ticked, select a range of times (hh:mm:ss) the track may be selected inclusively.

Times that cross midnight is supported. eg. From: 22:00:00 To: 04:00:00 will restrict this track to selection only within this 6 hour period.

History: Displays the last 18 times the track was scheduled by AirList. The Played History is not relevant for Raduga.

Delete SPL Tag (button): This is used to remove the native SPL tag from the file. This does not remove any original foreign tags such as ID3. SPL tags may be removed from all files using the Remove SPL File Tags option on the Tools Menu.

Read Foreign Tag (button): This is used re-read the foreign tag if one exists. ie. MP3 ID3v2 or v1, OGG, WAV, or WMA tags. This is done automatically when loading the track for the first time into AirList.

AirList provides an option on the Tools Menu to Reread All Foreign Tags for all files in all Categories and Spot Groups.


Preview Player

The Preview Player is a very simple audio player for playing individual tracks for previewing. It is available from the Playlist Editor, File List, and Track Tool. It may also be loaded manually from the AirList Windows Start menu.

The Preview Player should only be used when AirList is installed on a different PC to the broadcast PC, or when two soundcards are installed and the Preview Player is set to play out the second soundcard. Use the Configure button to specify the soundcard to use.

The 5 button controls are also available as single key shortcuts as follows.

P = Play
U = Pause
S = Stop
O = Open
C = Configure


Intro/Outro Tool

This tool may be used to quickly record intros and/or outros for all songs in a category, and also list missing intros and outros.

Note: The record function is only available in the Pro edition of AirList.

For the remainder of this chapter, all references to "intros" refers to both song introductions before a song and outros.after a song.

AirList supports automatically scheduling a song or artist introduction to be included in the playlist prior to a song selected from a Category. This can produce the atmosphere of a live broadcast when fully automated.

Introductions are pre-recorded for preferably all songs or artists in the library, or at least all songs or artists in one particular Category. This can take some time, however once this is done, an unattended station can sound similar to a live show hosted by a DJ. With this in mind, we suggest Intro's often include some brief information about the song, along with a station identification. For example,
"Here's Bering Strait, a band from Russia, with Jagged Edge Of A Broken Heart, on WKRP, Cincinnati's best Rock music".

This system is different to Voice Tracking which provides allows live announcements, including recent current affairs, to be pre-recorded for a show later in the day or week.

If recording an introduction for every song sounds like too much work, an introduction can be recorded for each artist instead. An example Artist introduction is: "Here's Bering Strait, a band from Russia, on WKRP, Cincinnati's best Rock music".

Before using this tool, an intro or outro type Spot Group must be created first in Spot Properties with an existing folder specified in the File(s) or Folder(s) list.

See Spot Properties for information on how to schedule an intro or outro inside your Rotations.

General Operation:

Select a Category and an intro or outro type Spot Group from the pull down list options.

The Missing Intro/Outro List will show the songs in the Category which do not have a matching introduction file in the Spot Group.

With the Match option set to Songs or Artists, the list shows songs that do not have a matching song or artist intro file.

The Print button may be used to print to paper the list of the missing introsd/outros.

Record:

To record an intro, the Match option must be set to "Songs only" or "Artists only".

The Voice Track Recording Application on the Advanced Options tab is used to record the intros.

Select a song title and click Record. An empty audio file is created in the spot folder and named in the Artist - Title structure, with the file extension and format determined from the VT Filename Format on the Advanced Options tab.

The empty file is loaded into the recording application, ready to press the Record button. Once recorded, save the file and exit the recording application, before selecting another song.


Create Stream File

Note: This tool is most likely only useful in automation software other than Raduga.

This tool is used to schedule an internet stream, or a file located on the Internet or intranet within the playlist.

A .PLS file containing the URL is saved to a folder on a hard drive. This file is then usually scheduled in a Spot Group just like any audio file.

Multiple stream files for the same stream URL may be created for situations where the stream must be played for different durations at different times of the day, or days of the week.

Edit Existing File: Use this button to edit the details of a previously created stream file.

Stream Name: Enter a title for the stream.

Stream URL: Enter the URL for the stream. This is usually an http address but may be any supported protocol.
eg. icy://ipserver.com:8000

Stream Format: Select the format of the stream from the pull-down list. This is used to tell the automation software how to decode the stream.

Duration: The length of time the stream will play. Streams over 1 hour in duration may be truncated by the automation software.

Preload: The length of time to preload the stream in the automation software before playing. Some streams can take up to 10 seconds to connect and buffer before playing, in which case increase this option to prevent a period of silence.

URL is a: Stream or Web File. Select Stream if the URL is a continuous live stream. Select Web File if the URL is a link to a downloadable file on a web server.

Storage Folder: The folder where the stream file will be saved.

Save File: Click this button once all the details have been entered. This will create the file which can now be scheduled in a Spot Group.


File List

The File List displays the list of files contained in the selected Categories or Spot Groups.

The file information is displayed in the following columns: Artist, Title, Position, Duration, Intro Time, Last Scheduled date/time, 7 Days, File Creation Date, and Filename.

The Position column shows the current position in the list of tracks where the previous playlist creation finished scheduling. For a Category, this shows the order of the tracks in the current randomized list.

The current position in the list is shown by shading the tracks which have been previously selected. The first track in the non-shaded region will be the next track to be selected for this Category or Spot Group when the next playlist is generated.

The Position column changes to a Category or Spot Group column when more than one Category or Spot Group is selected.

The 7 Days column provides the number of times each track was scheduled in the last 7 days. This information is established from details stored in the database for the last 18 times each track was scheduled, therefore the maximum number displayed here is 18+.

The list may be sorted in ascending or descending order of any column data by clicking on the appropriate column header.

Additional information about a track may be displayed by moving the mouse over the track icon to the left of the artist. The information displayed, if available in the file tags, is the Year, Album, Comment, and the last 18 times the track was scheduled and played. This information may be viewed or entered in the Track Properties dialog.

The following functions are available from the right-click popup menu and/or toolbar buttons.

Play: Load the selected track in the Preview Player. This is only available when the Enable Track Preview option is checked in the Playlist Options.

Track Properties: Opens the Track Properties page which displays information regarding the selected file. Most of the information may be modified. The information includes the artist, title, intro time, duration, and last scheduled times.

Copy all Filenames to the Clipboard: Copy all the filenames in the list, including the full path, to the Windows clipboard, which may then be pasted into any application supporting text pasting such as Notepad.

Copy all Titles to the Clipboard: Copy the artist and title information of all files in the list to the Windows clipboard, which may then be pasted into any application supporting text pasting such as Notepad.

Open Containing Folder: Open Windows Explorer at the folder containing the selected file.


Track Tool

This utility may only be of use when using automation software other than Raduga.

It's main purpose is to quickly establish intro times and/or cue and segue positions of individual songs by listening to them, or by scanning the files with volume settings.. It may also be used to view basic track information such as Artist, Title, Album and CD Code in columns which may be sorted. The information may be changed using Track Properties.

The Track Tool may be loaded from AirList, the AirList Start menu, and the Windows Explorer context popup menu. Files may also be dragged and dropped from Windows Explorer into the track list.

When loading the Track Tool from outside of AirList, a Rescan All Folders should be performed in AirList to read all changes into the Category databases.

When loading from AirList, the player controls will be disabled when the Preview Player option is disabled.

Keyboard shortcuts are listed at the bottom of this page.

Command-line parameters are available for the File Scan facility.

Intro Duration:
This setting is only useful when using automation software other than Raduga.

Intro times are required for overlapping Voice Tracks, Song Intros, and Voice Intros with the song ramp of the following song, to emulate live talk-overs during automation. The intro time is the instrumental / non-vocal beginning of a song (song ramp), or the position in the song where the vocals start. Intro times must be established in every song before voice tracks can be played simultaneously with songs in some automation software.

The Intro Times of songs appear beside tracks in the File List and the Playlist Editor.

Cue, Overlap and Segue Positions:
These positions are used to manually establish when a track will start and finish in some automation software, and the extent of the crossfade between each track. A track can be set to a Fixed Crossfade, and manual positions established by listening to the track.

The File Scan function below can be used to automatically calculate these settings.

AirList also uses this information for determining an accurate accumulative duration for each hour, which determines the number of tracks scheduled.

Cue: The position where the automation software will start playing the track from.

Cue Overlap: The previous track may overlap up to this position in the track during crossfading. The previous track will fade out during this period. A value of at least 2.5 seconds is recommended for songs to provide a small amount of overlap.

Segue is the position near the end of the track where the crossfade should begin with the next track. This time is similar to the full duration of the track. Other broadcasting software often record this position as the time from the end of the track.

General Operation:
This playback facility should only be used when Track Tool is running on a separate PC to that of the broadcast player, or when two soundcards are installed, so as to not interfere with the broadcast audio.

Description of general usage:

  • One or more audio files are opened and inserted into the Track Tool.
  • Highlight a track and use the Play button to start the track playing.
  • Use a Set button to save the current playback time into the associated option in the file. This will stop playback if Stop on Set is enabled.
  • Use the Test button to listen to the track at that point to establish if the position is correct. if not, adjust the setting manually using the edit box before trying another Test. Finally click Set again when you have finished making changes, otherwise the change will be lost.

Tool Buttons:
New: Removes all the tracks from the track list.

Open: Displays the Open File dialog to select one or more files from a folder. Press Ctrl+A to select all files within a folder. The selected files will be appended to the track list. Any existing tracks will remain in the list.

Files may also be dragged and dropped from Windows Explorer into the track list.

Browse: Browse for a folder to open. All the audio files in the selected folder will be appended to the track list. Sub-folders are not included.

Properties: Loads the selected track or tracks into the Track Properties dialog to enter or edit other track information. When multiple tracks are selected, Track Properties provides checkboxes to edit the same field or fields of all selected tracks.

File Scan: Opens the File Scan dialog which is used to automatically calculate Cue, Overlap, and Segue positions of all loaded tracks, based on volume settings.

Player: Select a different soundcard to use when playing tracks in the Track Tool. This also affects the Preview Player available in the File List and Playlist Editor.

Playback Functions:
Play: Starts playing the selected track from the beginning.

Jump Start: Jumps the currently playing track to the beginning.

Rewind 5: Jumps play back 5 seconds from the current position.

Forward 5: Advances play by 5 seconds from the current position.

Jump End: Jumps the currently playing track to 10 seconds from the end of the track.

Stop: Stop playback.

Options:
Use File Tags: When checked, the settings are stored within the SPL file tag in each file. When unchecked, the settings are stored within the filename of each file. This is not recommended since the filename is changed and the track will not play if scheduled in the current playlist. Only the Intro Duration and Segue Position can be stored in the filename.

Fixed Crossfade: Check this option to enable manual settings of the Cue, Overlap, and Segue positions for the selected file.

Set on Test: When checked, clicking the Test button will also execute a Set. This saves the setting in the file every time a Test is performed.

Stop on Set: When checked (the default), clicking Set will also stop playback.

Open Containing Folder: A right-click popup menu option to open the folder on the hard drive which contains this file.

File Timing:
Set: Sets the current playback time into the associated edit box and saves the setting into the file.

For example, if setting the Intro Duration, click Set at the point immediately when the vocal starts.

Use this button to also save manual changes made to the edit box.

Test: Plays the track based on the current setting to test if it is correct. If it is not, use the edit box to adjust the setting and try another Test. Ensure Set is executed after making a manual adjustment to save the change.

For the Cue Position, the Test button will start play from the Cue Position and play for 10 seconds.

For the Overlap Duration, the Test button will start play from the Cue Position until the Overlap Duration is reached.

For the Intro Duration, the Test button will start play from the Intro time and play for 5 seconds. The vocals of the song should start immediately if the Intro Duration is correct.

For the Segue Position, the Test button will play the last 5 seconds before the Segue Position.

Clear: This changes the Intro Duration to an unset status which appears blank. This means the track has not been intro timed. The result is similar to a value of zero, except zero represents a track that where the vocal starts immediately at the start of the song.

Keyboard Shortcuts

Tool Buttons
Ctrl+O = Open files
Alt+Enter = Track properties
Ctrl+S = Scan files
Ctrl+P = Player configuration
F1 = Help
Other
Ctrl+G = Open folder containing file
Player Controls
Enter = Play
P = Play
S = Stop
R = Rewind 5 seconds
Ctrl+R = Jump Start
F = Forward 5 seconds
Ctrl+F = Jump End
Editing Controls
Ctrl + Up Arrow = Up 1 track
Ctrl + Down Arrow = Down 1 track
I = Set Intro time
Ctrl+I = Test Intro time
Alt+I = Clear Intro time
C = Set Cue time
Ctrl+C = Test Cue time
L = Set Overlap duration
Ctrl+L = Test Overlap
Q = Set Segue time
Ctrl+Q = Test Segue time

Checkboxes
Alt+U = Use File tags
Alt+F = Fixed Crossfade
Alt+T = Set on Test
Alt+S = Stop on Set


File Scan

This dialog is used to automatically calculate Cue, Overlap, and Segue positions of all or selected tracks loaded into the Track Tool. This is done by scanning each file and comparing the volume in the file with the DB settings, and storing the results in the SPL file tag of each file.

All tracks scanned will be given a Fixed Crossfade status.

Scanning for volumes can take a few seconds for each track and may take several minutes to scan several thousand tracks. Switching all tracks to automatic. or disabling crossfading, does not require file scanning and this will execute very quickly.

Command-line parameters are available for the File Scan facility and are listed at the bottom of this page.

Scan:
All Loaded Tracks: All the tracks loaded into the track list will be scanned.
Selected Tracks Only: Only the tracks that have been selected (highlighted) in the track list will be scanned.

Switch all tracks to Automatic Crossfade: When checked, removes the Fixed Crossfade status.

Include tracks with Fixed Crossfade (already scanned): When checked, all files will be scanned. When unchecked, only files that do not already have Fixed Crossfade status will be scanned and modified. This includes tracks that have been set to a Fixed Crossfade in the Track Tool or Track Properties.

Disable Crossfading: When checked, all files will be set to a Fixed Crossfade and all settings set to zero. The tracks will be play from start to end including any silence and without any crossfade overlapping from other tracks.

Cue at: The position where the automation software will start playing the track from. It is calculated at the position where the volume first exceeds the specified DB value. The default is -27db which is designed to remove all silence and very low volumes at the start of the track. Increase this to -24db, for example, to skip over any low volume audio at the start of the track.

Segue at: The position near the end of the track where the crossfade should begin with the next track. It is calculated at the position where the last peak volume exceeds the specified DB value. The length of the crossfade is specified by the Overlap duration.

When using a compressor/limiter sound processor with an automatic gain control (AGC), the Segue DB often needs to be much lower depending on the gain of the AGC. A 25db gain may require a Segue of around -21db to provide a more natural crossfade.

The actual play time of the track is Segue - Cue.

Overlap to: The previous track is allowed to overlap up to this position in the track during crossfading. It is calculated at the position where the volume first exceeds the specified DB value. Songs that start with a low volume will be overlapped longer than those which start at a high volume. Generally this option should be lower than the Segue DB.

Min Overlap: Specifies the minimum Overlap duration allowed. Short overlaps can sound too abrupt, so this option forces the Overlap to a minimum value to force a minimum crossfade period. Roughly half the specified duration of overlap is actually noticeable due to fading, so the default of 2.5 seconds may provide only 1 second of noticeable crossfade mixing.

Set Defaults: Sets all settings to default.

Command-line Parameters

The Track Tool may be loaded with command-line parameters to perform file scanning. This may be useful for setting crossfade settings for a file after it is downloaded from the internet, such as hourly news files, for example. Scans may be scheduled using the Windows Task Scheduler.

Only one of the parameters /scan, /disable, or /auto should be specified. When none of these switches are applied, the files loaded will be available for manual editing.

Switch | Description
/f <filename or <folder> | If a folder is specified, all supported audio files in the folder will be loaded, otherwise the single audio file will be loaded. The filename may be text file with a .inp extension containing the filenames to load. eg. /f D:\test.inp If the file path contains spaces, the filename or folder should be included in double-quotation marks, eg. /f "D:\News Files\Sunday.mp3"
/sub | If a folder is specified above, all files in sub-folders will also be loaded.
/c <cue db> | Set the "Cue at" value. eg. -27
/s <segue db> | Set the "Segue at" value
/o <overlap db> | Set the "Overlap to" value
/m <min overlap> | Set the "Min Overlap" value.
/scan | Scan using the Cue, Segue and Overlap settings
/auto | Switch all tracks to Automatic Crossfade.
/disable | Disable crossfading

For example:
"C:\Program Files\AirList\TrackTool.exe" /f "D:\News Files" /s -21 /scan

This will scan all files in the "D:\News Files" folder and set the Segue position using -21db. The default Cue and Overlap settings will also be applied.


Playlist Editor

The Playlist Editor provides a way of viewing, editing, printing, and previewing a playlist which has been generated. The Editor also provides searching, replacing, inserting and deleting of tracks from the playlist.

The Playlist Editor also incorporates voice track recording and the merging of 3rd party traffic/commercial logs.

The original playlist files do not need to exist for the Editor to work. It uses details stored in a log file generated at every playlist creation The log file is stored in the Logs folder and is named in the format: mmmddhh.plg, eg. Feb2800.plg. The full set of playlist files are re-created when saving changes made in the Playlist Editor.

An AirList installed on another PC may be used to edit playlists and record voice tracks using the Playlist Editor. This AirList does not need access to the categories, rotations, etc, set up on the primary AirList.

While one Playlist Editor is editing a specific playlist log, any other Playlist Editor attempting to do the same will receive a message specifying the log is in use. Different playlist logs for a different date or time range may be edited simultaneously, however.

The Playlist Viewer window displays one hour of tracks at a time. The hour may be selected using the Day and Hour pull down lists, or browse sequentially by clicking the buttons, or pressing the Page Up / Page Down keys.

Additional information about a track may be displayed by moving the mouse over the track icon to the left of the artist. The information displayed, if available in the file tags, is the Year, Album, Comment, and the last 18 times the track was scheduled and played. This information may be viewed or entered in the Track Properties dialog.

The first panel of the status bar shows the date/time the playlist was created or last modified. The next panel displays Modified if any changes have been made. The next panel shows the estimated time the selected track is scheduled to play. The last panel displays the total duration of all tracks up to the segue/crossfade point.

In addition to using the Insert Item option, audio files may be inserted by dragging supported files from Windows Explorer onto the Playlist Viewer. By default, the tracks are loaded as a general track with the CD icon [image] however, by holding the Ctrl key down during the drop, the tracks are inserted as spots shown with a red dot icon [image]. Hold the Alt key down for the tracks to be inserted as Voice Intros. Hold down the Shift key for the tracks to be inserted as Voice Outro's.

Voice Tracks, including Song Intro, and Song Outro tracks are shown with a microphone icon [image].


Playlist Editor Menu Options

Many of the editing options listed below are also available from Toolbar buttons, and a right-click popup menu.

File Menu

Open Playlist Log: Open playlist log files (.PLG files) created in previous sessions. The Playlist Editor loads the last generated playlist log by default.

Save & Create Playlist: Saves all changes to the creation log file and generates a new set of playlist files, plus HTML playlist files, Track Summary, and Spot Summary log files if required.

Print Playlist: Print all or portions of the playlist on the selected printer. The printing will be in color on a color printer if Use Colored Items is enabled on the Advanced Options tab.

When the HTML Title is not blank in the Playlist Options, it will be used in the heading of this report and the following two reports. A print dialog will pop up with the following options.

  • Days from / to: Select the inclusive range of days to print from the pulldown lists.
  • Hours from / to: Select the inclusive range of hours to print from the pulldown lists.
  • Save Hour Range: When checked, the Hours from/to options above are stored permanently for next time a report is run. When disabled, these options default to all 24 hours.
  • Category Tracks only: When checked will only print tracks selected from Categories. When disabled, all tracks including Spots, Break Notes, and Voice Tracks are printed.
  • Double Line Spacing: A blank line will be inserted between every track in the report.
  • 1/2/3 hours per page: This number of hours will be printed before starting a new page. The paper length may not be able to fit three hours on one page, depending on the number of tracks.
  • Continuous: The playlist is printed in a continuous fashion using the least amount of paper. Some hours will span across two pages.

A playlist may also be printed automatically after generating a playlist by checking the Auto Print Playlist option on the Run Options tab.

Print Track Summary: Print the Track Summary on the selected printer. The Track Summary is an optional log file generated during playlist creation if enabled in the Run Options. This report is designed to provide enough details for royalty reporting requirements. More details are available in the log file, which may be loaded into a spreadsheet. This report is formatted for landscape orientation.

Print Spot Summary: Print the Spot Summary on the selected printer. The Spot Summary is an optional log file generated during playlist creation if enabled in the Run Options. Three options are available:

  • Spot Group Summary (least detail) - provides the total usage of each Spot Group
  • Spot File Summary (more detail) - provides the total usage for each spot filename in a Spot Group
  • Spot Detailed Summary - provides details of the date/time each spot file was scheduled.

Play Selected: Load the selected track in the Preview Player. This is only available when the Enable Track Preview option is checked in the Playlist Options.

Track Properties: Opens the Track Properties window which displays information regarding the selected file. Most of the information may be modified. The information includes the artist, title, intro time, duration, and last scheduled times.

Revert to Saved: This will ignore all changes made since the last Save and re-load the playlist log file again.

Restore Backup Log: This will restore the backup log to the current playlist log and load it into the editor. This effectively restores the playlist to before the last Save.

Close: Close the Playlist Editor.

Edit Menu

Undo: Undo the last modification made to the playlist. Multiple Undo's are not supported.

Cut: Store the selected track(s) for pasting in a different position in the current hour, or any other hour in the playlist. The selected tracks will be deleted once pasted.

Copy: Store the selected track(s) in the Windows Clipboard for pasting to other positions in the current hour, or any other hour in the playlist, or a different playlist log.

Paste: Insert the stored track(s) from a previous Cut or Copy operation. A Copy operation may be pasted into multiple positions. Timed Events from one hour may be cut or copied to other hours, and the timed hour will change automatically.

Paste from Explorer: Files may be copied from a folder in Windows Explorer and pasted into the Playlist Viewer. Drag & drop from Windows Explorer is also supported for inserting files.

Delete: Delete the selected track(s).

Exchange: Swap the positions of two selected tracks.

Select All: Select all the tracks in the current hour.

Make Timed Event: Converts an existing spot or break note in the playlist to a Timed Event.

Instant Replace (same artist): The selected track(s) will be replaced by other tracks from the same artist from the same Category or Spot Group. The Song & Artist Repeat Intervals are taken into account. This is not available for Timed Events.

Instant Replace (any artist): The selected track(s) will be replaced by other tracks selected randomly from the same Category or Spot Group. The Song & Artist Repeat Intervals are taken into account. This is not available for Timed Events.

Insert Item: Displays the Insert Item Dialog where a track is selected to be inserted into one or more positions in the playlist. Positions are selected by checking one or more Days, Hours & Minutes. The Song & Artist Repeat Intervals are not taken into account. Timed Events can only be inserted via the Other Positions selection.

A minute selection of 60 will append the track to the end of the hour.

Search Menu

Find/Replace: Displays a non-modal form to search for, replace, or delete tracks in the playlist. See Find/Replace Dialog.

Previous Hour: Displays the previous hour (Page Up).

Next Hour: Displays the next hour (Page Down).

Go To First Hour: Jumps to the first hour of the playlist.

Go To Last Hour: Jumps to the last hour of the playlist.

Go To Current Hour: Jumps the playlist to the current day/hour. This is equivalent to the tool button

Tools Menu

Record a Voice Track (AirList Pro): Providing a Voice Track Recording Application has been established in the Advanced Options, this will load the Voice Tracking dialog and the recording application to record a voice track, which will be automatically inserted into the playlist at the selected position. If no position has been selected, it will be appended to the bottom of the current hour.

An empty WAV, MP3, or OGG file is generated with a unique filename based on the VT Filename Format, and is loaded into the recording application. Once the track is recorded, the recording application must be closed and changes saved before recording another track..

Record Multiple Voice Tracks (AirList Pro): Opens the Voice Tracking dialog to record a voice track for each Voice Track Marker in the playlist. Voice Track Markers are added to rotations in Rotation Properties.

Traffic Importer (AirList Pro): Opens the Traffic Importer window. This facility provides integration with 3rd party Traffic/Billing software.


Select Item Dialog

A track may be selected from an existing Category or Spot Group, or any audio file may be selected on a hard drive. A Break Note may also be selected.

Selecting Category, Spot Group, Timed Spot, or Commercial Intro will display the list of Categories or Spot Groups to choose from. Select a name to display a list of all files in the Category or Spot Group. Select a single file and click OK.

Timed Events cannot be inserted at the Current Position. "Other Positions" must be selected on the Insert an Item dialog so a precise time can be selected.

Selecting Break Note will prompt for the text to be added as a Break Note to the playlist.

Selecting Voice Intro or Other will bring up an Open File dialog where any audio file on a hard drive may be selected.


Traffic Importer

Traffic Importer (AirList Pro)

The Traffic Importer provides integration with 3rd party Traffic/Billing software.

Traffic software makes management of advertisements easier, providing automatic schedule positioning, and usually provides billing of the advertisements to clients.

Traffic log files are imported and merged with an existing playlist log generated by AirList.

Several options provide compatibility with most if not all traffic software, including Traffic 1234 (http://www.traffic1234.com), Natural Log (http://www.nat-soft.com/natlog.htm), and Traffic Manager (http://www.studiomixx.com), to name just a few.

In Natural Log, the best format to select is “Generic Text - Long CopyID's".

We suggest that only commercials within a commercial break are scheduled in the traffic software and not individual jingles or other generic spots in scattered positions. It will take much less work to have these scheduled by AirList. AirList can easily schedule spots either side of the commercials.

Traffic Log File Requirements:
The traffic log file produced from the 3rd party software must be a fixed column text file containing the hour, minute, and Track ID.

The hour must be in the 24 hour format (00-23).

The Track ID can be one of the following.

  • The filename containing the full path, filename, and file extension
  • The filename without the path or file extension, providing these are constant.
  • The name of a Spot Group set up in AirList.

For example, the Track ID of 01234567 below can be converted by the importer to C:\ads\01234567.wav. Otherwise it relates to a Spot Group in AirList.

The traffic log file should contain advertisements for one 24 hour period only, to match the same playlist period generated by AirList.

Important: Each advertisement in one commercial break must contain the same minute of the hour.

Here are just some examples of suitable traffic logs. The information shown can appear in any order. Lines may contain miscellaneous information only, if desired, which will be imported as a text Break Note. See Audio Criteria below. Additional data on a line can exist and will be ignored. Refer to the documentation of your traffic software for information on how to configure the software to produce compatible formats.

Example 1. Suggested log structure.

14:18 Client Name TRACK ID
14:18 Pizza Place AUDIO 01234568
14:18 A note to the DJ (break note)
14:39 Corner Store AUDIO 01234569
14:39 Pizza Place AUDIO 01234568
14:39 Another Client AUDIO 01234570
etc

Example 2. A basic format with minimum requirements.

15:08 Track ID
15:08 01234567
15:29 01234568
15:29 01234567
etc

Example 3. A filename may be specified instead of a Track ID. The position of the hour, minute and Track ID can be anywhere within the same line.

C:\ads\01234567.ogg AUDIO 16:20:00
A note to the DJ 16:20:00
C:\ads\01234568.wav AUDIO 16:20:00

AirList Configuration:
Commercial breaks are scheduled in the playlist using the Commercial Break Note Code. See Insert Break Note for information on inserting break notes into a Rotation.

The following break note code must be entered manually into the break note Description...
*COMM BREAK=mm , where mm is a 2 digit number representing the minute of the hour. eg. *COMM BREAK=08

The hour portion of the time is based on the hour or hours the Rotation is scheduled in Schedule Properties.

Only one commercial break note is entered for an entire commercial break containing several advertisements.

The minute does not represent the time the commercial break will actually play. It is only used for identification purposes, matching the commercials in the log file to the break note in the playlist.

The Commercial Break Note may be converted to a Timed Event in Rotation Properties if more precise timing of the commercial break is required.

Commercials will not be imported for entries in the traffic log file that contain scheduled times that do not match any times specified in the playlist log generated by AirList. Similarly, Commercial Break Notes in the playlist specifying times that do not exist in the log file will remain in the playlist log. However, they will not be included in the playlists created for the automation system.

The Traffic Importer works best with a playlist generated for one 24 hour period. This is required for the Automatic import facility (below). The following options are recommended on the Run Options tab.
Hour: 00:00 (midnight)
For: 1 day and 0 hours.

If necessary, a 24 hour traffic log can be imported manually for a playlist generated for multiple days by selecting a Log Date below.

Traffic Importer Options tab:

Automatic Import: When checked, AirList will automatically run a Traffic Import after every playlist creation. This requires that only 1 day of playlists are generated by AirList. (see above)

Filename Format (optional): The filename format of the traffic log file. If the log file changes name from day to day based on the date, the format may be entered here to save selecting the file manually every day. All standard date and time formatting parameters are supported as described for the Playlist Filename Format.

Log Folder (optional): The folder containing the traffic log file.

Track ID contains: Select Filename if the ID in the traffic log directly relates to a filename, as in example 3. Otherwise the Track ID relates to a Spot Group name which must be be set up in AirList.

When using Spot Groups, a track is selected from the Spot Group just like a normal Spot Group specified in a rotation. If multiple tracks exist in the Spot Group, one track is selected from the list when the spot group is specified. This is useful when rotating several advertisements for one advertiser.

Note: The Spot Group Type option in Spot Properties is ignored.

Audio Folder (optional): When Filename is selected above, specify the folder containing the advertisement audio files This is only required if the file path is not specified for each audio file in the traffic log file, as in example 2.

File Extension: When Filename is selected above, this is required if the file extension is not included as part of the filenames, as in example 2. This field is ignored if a file extension does exist.

Hour: The Position and Length of the hour in the traffic log file. In example 1 above, this would be Position 1 and Length 2.

Minute: The Position and Length of the minute in the traffic log file. In example 1 above, this would be Position 4 and Length 2.

Client ID: The Position and Length of a client name or ID. In example 1 above, this would be Position 6 and Length 20. This is optional and should be 0 when not used.

Track ID: The Position and Length of the filename or Spot Group name in the traffic log file. In example 3 above, this could be Position 1 and Length 25. Spaces at the end of Track ID will be discarded.

Audio Criteria: As in examples 1 and 3 above, traffic logs can contain additional lines of information which the Traffic Importer will import as a text Break Note. In this case an Audio Criteria will be required so that the lines containing the audio data can be determined. In example 1, the Audio Criteria would be Position 26, Length 5, Contains AUDIO. Note the Audio Criteria is case sensitive.

Traffic Importer Details tab:

Open Traffic Log: Displays an Open File dialog to select a traffic log file from disk. This is only necessary if the filename changes from day to day and the Filename Format and Log Folder options have not been set on the Options tab.

Log Date: Select the date of the log file when manually importing a traffic log into an AirList playlist which contains multiple days. It is recommended that a playlist is generated for 1 day at a time, and this option is then not required.

Import (button): Manually starts the importation of the traffic log, and merging with the playlist log. This should take very little time.

The memo displays a summary of the merge. This includes the number of commercial breaks defined in the playlist log but not found in the traffic log, and reversely, the number of commercials in the traffic log with no commercial break notes defined in the playlist.

The memo text is saved in a text file named TrafficImport.log in the Logs Folder.

The commercials imported may be viewed in the Playlist Editor before executing a Save to save the playlist log changes and write a new set of playlist files for the automation system. This can be initiated automatically at every playlist creation by checking the Automatic Import option.


Voice Tracking Dialog

Voice Tracking Dialog (AirList Pro)

This dialog is displayed when recording voice tracks from the Playlist Editor. Voice Tracking provides the facility to pre-record the announcements for a show that will air later in the day or week. This can emulate a live DJ broadcast, but requires much less time from the DJ. A show spanning several hours can be voice tracked in a few minutes.

This dialog displays the date and time of the current position in the playlist, plus several tracks before and after the position, which can be used to determine the previous songs that would have played, and songs coming up after the voice track announcement.

The dialog is visible on the screen at all times, even if the recording application is loaded and maximized.

When using the Record Multiple Voice Tracks facility with Voice Track Markers, the dialog locates the first occurrence of a Voice Track Marker in the playlist starting at the current selected hour. The dialog provides options to record a voice track, and progress on to the next marker in the playlist.

Note: After recording a voice track, the recording application must be closed (terminated) before the voice track will be inserted into the playlist. The recording application will be opened each time a new voice track is to be recorded.

Multiple Voice Track Recording

The following options are only available when using the Record Multiple Voice Tracks facility.

Next Button: Moves the dialog to the next voice track marker in the playlist ready to record another voice track.

Auto Next: When checked, the dialog automatically moves to the next voice track marker in the playlist after recording a voice track.

Record Button: Creates an empty WAV, MP3, or Ogg file with a unique filename, opens the recording application and loads the empty audio file ready for recording a voice track. The recording application must be closed and changes saved before the recorded track is inserted in the playlist. Executing the Record Button again without moving to the next marker will edit the existing voice track. The unique filename depends on the VT Filename Format option.

Auto Record: When checked, the recording application is loaded automatically after the next marker is loaded. This will occur when the Next button is clicked, or when the Auto Next checkbox is enabled.

When both Auto Next and Auto Record are checked, the recording application is loaded for each voice track marker in succession. This provides the most efficient option for recording multiple voice tracks.

Override Default Intro Timing: This option will generally only be useful when using the Voice Track/Intro Overlap feature in other automation software. Intro Timing is used to control the overlap timing in other software.

A value of zero will disable overlapping for the current voice track, and will be played sequentially. This may be useful if the voice track has a music bed.

A negative value will result in the voice track starting while the previous track is finishing. The next track will then start while the voice track is still playing. A positive value will attempt to play the voice track after the next song starts, if time permits.

When unchecked, the default timing settings in the automation software apply.


Find/Replace Dialog

Search and/or replace tracks in the playlist. The Song & Artist Repeat Intervals are not taken into account.

Find Next: To search for a track, enter a portion of the filename, artist, or title into the Find What field and click Find Next. The Playlist Viewer will jump to the hour where the next occurrence of a matching item is found.

Select Item: Choose a track to be replaced. This may be done by searching for a track as above, selecting a track in the Playlist Viewer, or Select An Item by clicking the button.

Replace With: Select An Item to replace the Selected track(s) with. This field may be left empty, in which case a Replace operation will delete the Selected track(s).

Clear Items: Empty all the fields.

Replace: Replace the next occurrence of the Selected track with the Replace track.

Replace All: Replaces all the occurrences of the Selected track with the Replace track starting at the current position.

Direction: Searching and replacing may be performed in an Up or Down direction. If Circular is checked, the search and replace operations will wrap around the end and beginning of the playlist.

Close: Close the Find/Replace window.